package Engine::Actions::AdminMemcachedStats;
use strict;

use XFileConfig;
use Engine::Core::Action;

sub main
{
   return $ses->message("Memcached is not running or configured up") if !$db->{memd};

   my $stats = $db->{memd}->stats();
   my $totals = $stats->{total};
   my $hits_percent = int(100 * $totals->{get_hits} / $totals->{cmd_get}) if $totals->{cmd_get};
   return $ses->message("Failed to obtain Memcached stats") if !$stats;

   return $ses->PrintTemplate(
      "admin_memcached_stats.html",
      %{ $stats->{total} },
      hits_percent => $hits_percent || 0,
   );
}

1;
