package Engine::Actions::AdminWebsiteAdd;
use strict;

use XFileConfig;
use Engine::Core::Action ( 'IMPLEMENTS' => [qw(save)] );

sub main
{
   my $site = $f->{domain} ? $db->SelectRow("SELECT * FROM Websites WHERE domain=?", $f->{domain}) : {};
   $site->{usr_login} = $db->SelectOne("SELECT usr_login FROM Users WHERE usr_id=?", $site->{usr_id});

   return $ses->PrintTemplate("admin_website_add.html",
      old_domain => $f->{domain},
      %$site);
}

sub save
{
   for(qw(domain usr_login))
   {
      $f->{$_} =~ s/^\s*//;
      $f->{$_} =~ s/\s*$//;
   }

   $f->{domain} =~ s/^.*\///; # Trim the protocol part
   $f->{domain} =~ s/^www\.//;

   my $usr_id = $db->SelectOne("SELECT usr_id FROM Users WHERE usr_login=?", $f->{usr_login}) || return $ses->message("No such user");

   if($f->{old_domain})
   {
      $db->Exec("UPDATE Websites SET usr_id=?, domain=? WHERE domain=?", $usr_id, $f->{domain}, $f->{old_domain});
   }
   else
   {
      $db->Exec("INSERT INTO Websites SET usr_id=?, domain=?, created=NOW()", $usr_id, $f->{domain});
   }

   return $ses->redirect("$c->{site_url}/admin/websites/");
}

1;
