package Engine::Actions::AntiDebrid;
use strict;
use XFileConfig;
use Engine::Core::Action ( 'IMPLEMENTS' => [qw(gen_link)] );

sub main {
   return $ses->PrintTemplate("antidebrid.html");
}

sub gen_link {
   my $count = $db->SelectOne("SELECT MAX(file_id) FROM Files");
   my $rand = int(rand() * $count);
   my $random_file = $db->SelectRow("SELECT * FROM Files WHERE file_id>=? AND file_public ORDER BY file_id LIMIT 1", $rand);
   return $ses->PrintJSON({ error => 'No suitable file found' }) if !$random_file;

   my $new_code = $ses->require("FileUtils")->cloneFile($random_file, usr_id => 0);
   my $new_file = $db->SelectRow("SELECT * FROM Files WHERE file_code=?", $new_code);
   my $download_link = $ses->makeFileLink($new_file);
   $db->Exec("UPDATE Files SET file_anti_debrid=1 WHERE file_code=?", $new_code);
   return $ses->PrintJSON({ status => 'OK', download_link => $download_link });
}

1;
