package Engine::Actions::Download0;
use strict;

use XFileConfig;
use Engine::Core::Action;

sub main
{
   my ($file) = @_;

   my $ads = $c->{ads};
   $ads = 0
     if $c->{bad_ads_words}
     && ( $file->{file_name} =~ /$c->{bad_ads_words}/is || $file->{file_descr} =~ /$c->{bad_ads_words}/is );

   $ses->ApplyHooks('download0', $file);

   if ( $c->{pre_download_page_alt} )
   {
      my @arr = split( /,/, $c->{payment_plans} );
      $file->{free_download} = 1;
      use Data::Dumper qw(Dumper);
      my @payment_types = $ses->require("PaymentAcceptor")->getAvailablePaymentMethods();

      my @plans = @{ $ses->ParsePlans( $c->{payment_plans}, 'array' ) };
      for (@plans)
      {
         $_->{payment_types} = \@payment_types;
      }

      my @traffic_packages = @{ $ses->ParsePlans( $c->{traffic_plans}, 'array' ) };
      for ( @plans, @traffic_packages )
      {
         $_->{payment_types} = \@payment_types;
      }

      return $ses->PrintTemplate(
         "download0_alt.html",
         %{$file},
         %{$c},
         'plans' => \@plans,
         'rand'  => $ses->randchar(6),
         'ads'   => $ads,

         #%cc,
         'referer'          => $f->{referer},
         'currency_symbol'  => $c->{currency_symbol} || '$',
         'ask_email'        => $ses->{utype} eq 'anon' && !$c->{no_anon_payments},
         'traffic_packages' => \@traffic_packages,
         'token_payments'   => $ses->genToken(op => 'payments'),
      );
   }

   print "Strict-Transport-Security: max-age=0;includeSubDomains;\n";

   my $limits = $ses->require("PremiumComparison")->mkPremiumComparison();

   return $ses->PrintTemplate( "download0.html",
      %{$file},
      %{$limits},
      'ads'            => $ads,
      'referer' => $f->{referer} );
}

1;
