package Engine::Actions::RegisterConfirm;
use strict;

use XFileConfig;
use Engine::Core::Action;

use XUtils;

sub main
{
   ($f->{usr_id}, $f->{confirm_key}) = split( '-', $f->{confirm_account} ) if $f->{confirm_account};

   my $user = $db->SelectRow( "SELECT * FROM Users WHERE usr_id=? AND usr_security_lock=?", $f->{usr_id}, $f->{confirm_key} );
   return $ses->message($ses->{lang}->{lang_invalid_confirm_code}) if !$user;
   return $ses->message($ses->{lang}->{lang_account_already_confirmed}) if $user->{usr_status} ne 'PENDING';

   $db->Exec( "UPDATE Users SET usr_status='OK', usr_security_lock='' WHERE usr_id=?", $user->{usr_id} );
   my $sess_id = $ses->require("SessionTracker")->StartSession( $user->{usr_id} );
   $ses->setAuthCookie($sess_id);
   $ses->{user} = $user;

   return if $ses->require("UsersRegistry")->checkForDelayedRedirects($user);
   return $ses->redirect_msg("$c->{site_url}/account.html/", "Account confirmed");
}

1;
