package Engine::Actions::RegisterExt;
use strict;

use XFileConfig;
use Engine::Core::Action;

use XUtils;

sub main
{
   return $ses->message($ses->{lang}->{lang_not_allowed}) if !$c->{m_c};
   return $ses->redirect("$c->{site_url}/account/") if $ses->getUser;
   my $ret = eval { $ses->getPlugins('Login')->finish($f) };
   print STDERR "mod_social: $@\n" if $@;
   return $ses->message($ses->{lang}->{lang_auth_failed}) if !$ret;

   # Does the user already exists?

   my $usr_id = $db->SelectOne("SELECT usr_id FROM Users WHERE usr_social=? AND usr_social_id=?",
      $f->{method},
      $ret->{usr_social_id});

   if ( !$usr_id )
   {
      # Creating the new one
      foreach my $k(keys %{$ret}) {
         $f->{$k} = $ret->{$k} unless($f->{$k});
      }
      $f->{usr_password} = $ses->randchar(10) unless($f->{usr_password});
      $f->{usr_social} = $f->{method} unless($f->{usr_social});

      my $params = {(map { $_ => $f->{"usr_$_"} } qw(login password email social social_id))};

      $usr_id = $ses->require("UsersRegistry")->createUser($params);

      if ( $f->{method} eq 'twitter' )
      {
         # Pre-filling data for twitter posting
         $ses->setUserData( $usr_id, 'twitter_login',    $ret->{access_token} );
         $ses->setUserData( $usr_id, 'twitter_password', $ret->{access_token_secret} );
      }
   }

   my $sess_id = $ses->require("SessionTracker")->StartSession( $usr_id );
   $ses->setAuthCookie($sess_id);
   return $ses->redirect("$c->{site_url}/account/");
}

1;
