package Engine::Actions::ResendActivation;
use strict;

use XFileConfig;
use Engine::Core::Action;

sub main
{
   my ($adm_mode) = @_;
   ( $f->{usr_id}, $f->{usr_login} ) = split( /-/, $f->{d} );
   my $user = $db->SelectRow(
      "SELECT usr_id,usr_login,usr_email,usr_security_lock
                              FROM Users
                              WHERE usr_id=?
                              AND usr_login=?
                              AND usr_status='PENDING'", $f->{usr_id}, $f->{usr_login}
   );
   return $ses->message($ses->{lang}->{lang_invalid_id}) unless $user;

   my $t = $ses->CreateTemplate("registration_email.html");
   $t->param(
      'usr_login'    => $user->{usr_login},
      'usr_password' => $user->{usr_password},
      'confirm_id'   => "$user->{usr_id}-$user->{usr_security_lock}"
   );
   $c->{email_text} = 1;
   $ses->require("MailSender")->sendMail( $user->{usr_email}, $c->{email_from}, "$c->{site_name} registration confirmation", $t->output );
   return $ses->redirect_msg( $ENV{HTTP_REFERER}, "Activation email sent" ) if $adm_mode;
   return $ses->message($ses->{lang}->{lang_activation_email_resent});
}

1;
