package Engine::Actions::ResendCode;
use strict;

use XFileConfig;
use Engine::Core::Action;

use XUtils;

sub main
{
   my ($msg) = @_;
   $f->{msg} ||= $msg;

   my $token = $db->SelectRow("SELECT *, TIMESTAMPDIFF(SECOND, created, NOW()) AS elapsed
      FROM SecurityTokens
      WHERE usr_id=? AND ip=? AND purpose=? AND created > NOW() - INTERVAL 30 MINUTE
      ORDER BY created DESC",
      $f->{usr_id}, $ses->getIP, $f->{purpose});

   return $ses->PrintJSON({ status => "ERROR", message => "No such token" }) if !$token;
   return $ses->PrintJSON({ status => "ERROR", message => "Token is too recent" }) if $token->{elapsed} < ($c->{countdown_before_next_sms}||60);

   my $secret_code = $ses->randchar(8);
   $db->Exec("INSERT INTO SecurityTokens SET usr_id=?, purpose=?, ip=?, value=?, phone=?",
      $token->{usr_id}, $token->{purpose}, $token->{ip}, $secret_code, $token->{phone});
   $ses->SendSMS($token->{phone}, "$c->{site_name} $token->{purpose} confirmation code: $secret_code");
   return $ses->PrintJSON({ status => "OK" });
}

1;
