package Engine::Actions::VideoEmbed;
use strict;

use XFileConfig;
use Engine::Core::Action;

use XUtils;

sub main
{
   #print"Content-type:text/html\n\n";
   return print("Content-type:text/html\n\nVideo mod is disabled") unless $c->{m_v};
   my $sql = "SELECT f.*, s.*, u.usr_id, UNIX_TIMESTAMP(usr_premium_expire)-UNIX_TIMESTAMP() as exp_sec
                              FROM (Files f, Servers s)
                              LEFT JOIN Users u ON f.usr_id = u.usr_id
                              WHERE f.file_code=?
                              AND f.srv_id=s.srv_id";
   my $file = $db->SelectRowCached( 'file', $sql, $f->{file_code} );
   return print("Content-type:text/html\n\nFile was deleted") unless $file;
   my $utype2 = $file->{usr_id} ? ( $file->{exp_sec} > 0 ? 'prem' : 'reg' ) : 'anon';
   return print("Content-type:text/html\n\nVideo embed restricted for this user") unless $c->{"video_embed_$utype2"};

   $file = $ses->require("VideoMakeCode")->makeCode( $file, 1 ) || return;
   return print("Content-type:text/html\n\nCan't create video code") unless $file->{video_code};
   $file->{video_ads} = $c->{m_a};
   $ses->{form}->{no_hdr} = 1;
   $ses->require("DlTracker")->downloadTrack($file) if $c->{m_y_embed_earnings};
   $db->Exec( "UPDATE Files SET file_views=file_views+1 WHERE file_id=?", $file->{file_id} );

   $ses->{enable_embedding} = 1;
   return $ses->PrintTemplate( "video_embed.html", %$file, m_a_code => $c->{m_a_code} );
}

1;
