package Engine::Actions::VideoEmbed2;
use strict;

use XFileConfig;
use Engine::Core::Action;

sub main
{
   return print("Content-type:text/html\n\nVideo mod is disabled") unless $c->{m_v};
   my $file = $db->SelectRow(
      "SELECT f.*, s.*, u.usr_id, UNIX_TIMESTAMP(usr_premium_expire)-UNIX_TIMESTAMP() as exp_sec
                              FROM (Files f, Servers s)
                              LEFT JOIN Users u ON f.usr_id = u.usr_id
                              WHERE f.file_code=?
                              AND f.srv_id=s.srv_id", $f->{file_code}
   );
   return print("Content-type:text/html\n\nFile was deleted") unless $file;
   my $utype2 = $file->{usr_id} ? ( $file->{exp_sec} > 0 ? 'prem' : 'reg' ) : 'anon';
   return print("Content-type:text/html\n\nVideo embed restricted for this user") unless $c->{"video_embed_$utype2"};

   my ($ext) = $file->{file_name} =~ /\.(\w{2,4})$/;
   my $url = $ses->getPlugins('CDN')->genDirectLink( $file, file_name => "video.$ext" );
   $db->Exec( "UPDATE Files SET file_views=file_views+1 WHERE file_id=?", $file->{file_id} );
   return $ses->redirect($url);
}

1;
