package Engine::Components::FileUtils;
use strict;
use vars qw($ses $db $c $f);

sub genFileCode {
   my $code = $ses->randchar(12);
   while($db->SelectOne("SELECT file_id FROM Files WHERE file_code=? OR file_real=?",$code,$code)){$code = $ses->randchar(12);}
   return $code;
}

sub cloneFile {
   my ($self, $file, %opts) = @_;

   my $code = $ses->randchar(12);
   while($db->SelectOne("SELECT file_id FROM Files WHERE file_code=? OR file_real=?",$code,$code)){$code = $ses->randchar(12);}

   my $usr_id = $opts{usr_id}||$ses->getUserId;

   $db->Exec("INSERT INTO Files 
        SET usr_id=?, 
            srv_id=?,
            file_fld_id=?,
            file_name=?, 
            file_descr=?, 
            file_public=?, 
            file_code=?, 
            file_real=?, 
            file_real_id=?, 
            file_del_id=?, 
            file_size=?,
            file_size_encoded=?,
            file_password=?, 
            file_ip=?, 
            file_md5=?, 
            file_spec=?, 
            file_upload_method='copy',
            file_created=NOW(), 
            file_last_download=NOW()",
         $opts{usr_id}||$ses->getUserId,
         $file->{srv_id},
         $opts{fld_id}||0,
         $file->{file_name},
         '',
         1,
         $code,
         $file->{file_real},
         $file->{file_real_id}||$file->{file_id},
         $file->{file_del_id},
         $file->{file_size},
         $file->{file_size_encoded},
         $opts{file_password}||'',
         $opts{ip}||$ses->getIP,
         $file->{file_md5},
         $file->{file_spec}||'',
       );

   $db->Exec("UPDATE Servers SET srv_files=srv_files+1 WHERE srv_id=?",$file->{srv_id});
   return $code;
}

sub makeFileLink
{
   my ($self,$file) = @_;
   my $fname = $ses->UnsecureStr($file->{file_name});
   my $amp = "\x25\x32\x35\x32\x36";
   my $question = "\x25\x32\x35\x33\x46";
   $fname =~ s/&/$amp/g;
   $fname =~ s/\?/$question/g;
   $fname=~s/\s/_/g;
   my $fname2 = $ses->SecureStr($fname);
   my $dl_url = $c->{dl_url}||$c->{site_url};
   return "$dl_url/$file->{file_code}".
            {0 => "/$fname2.html",
             1 => "/$fname2.htm",
             2 => "/$fname2",
             3 => ".html",
             4 => ".htm"}->{$c->{link_format}};
}

1;
