package Engine::Components::FldUtils;
use strict;
use vars qw($ses $db $c $f);

sub findChildren
{
   my ($self, $fld) = @_;
   die("fld_id is undefined or zero") if !$fld->{fld_id};
   return ($fld, map { $self->findChildren($_) } @{ $db->SelectARef("SELECT * FROM Folders WHERE fld_parent_id=?", $fld->{fld_id}) });
}

sub buildFoldersTree
{
   my ($self, %opts) = @_;
   my $allfld = $ses->db->SelectARef("SELECT * FROM Folders WHERE usr_id=? AND !fld_trashed ORDER BY fld_name",$opts{usr_id});
   my $fh;
   push @{$fh->{$_->{fld_parent_id}}},$_ for @$allfld;
   return( $self->buildTree($fh,0,0) );
}

sub buildTree
{
   my ($self, $fh, $parent, $depth)=@_;
   my @tree;
   for my $x (@{$fh->{$parent}})
   {
      $x->{pre}='&nbsp;&nbsp;'x$depth;
      push @tree, $x;
      push @tree, $self->buildTree($fh,$x->{fld_id},$depth+1);
   }
   return @tree;
}

1;
