package Engine::Components::SrvUtils;
use strict;
use vars qw($ses $db $c $f);

sub mapFileServers
{
   my ($self, $args, $legend) = @_;

   my $servers = $db->SelectARef("SELECT * FROM Servers WHERE srv_status<>'OFF'");

   for my $srv (@$servers)
   {
      print "$legend for SRV=$srv->{srv_id}..." if $legend;
      my $res = $ses->api(
         $srv->{srv_cgi_url},
         {
            fs_key => $srv->{srv_key},
            %$args,
         }
      );
      if ( $res =~ /OK/ )
      {
         print "Done.<br>\n";
      }
      else
      {
         print "Error while " . lc($legend) . ". SRV=$srv->{srv_id}.<br>\n$res<br><br>";
      }
   }
}

1;
