package Engine::Components::TrafficRegistry;
use strict;
use vars qw($ses $db $c $f);
use CheckParams;

sub getUserBandwidth {
    my ($self, $bw_limit_days, %opts) = @_;
    check_params(\%opts, qw(user));

    my $user = $opts{user} || $ses->getUser;
    my $field = $user ? "ip2f.usr_id" : "ip2f.ip";
    my $value = $user ? $user->{usr_id} : $ses->getIP();

    my $bw = $db->SelectOne("SELECT SUM(GREATEST(file_size, size)) FROM IP2Files ip2f
      LEFT JOIN Files f ON f.file_id=ip2f.file_id
      WHERE $field=?
      AND created > NOW()-INTERVAL ? DAY",
      $value,
      $bw_limit_days);

    return sprintf("%.0f", $bw/1024**2 )
}

1;
