package Engine::Components::UrlUtils;
use strict;

sub shortenURL {
   my ($self, $url) = @_;
   return $url if length($url) < 64;

   my $remainder = $url;
   my @out;

   return $url if $remainder !~ s/^(https?:\/\/[^\/]+)//; # Beginning
   push @out, $1;
   
   return $url if $remainder !~ s/\/([^\/]+)$//;          # End
   push @out, "..." if $remainder;
   push @out, $1;
   
   my $result = join("/", @out);
   return length($result) < length($url) ? $result : $url;
}

1;
