package Engine::Components::UserFilters;
use strict;
use vars qw($ses $db $c $f);

sub mkUserFilters
{
   my ($self, $f) = @_;

   my @filters = ();
   push @filters, "AND usr_lastlogin > NOW() - INTERVAL $f->{filter_lastlogin} DAY" if $f->{filter_lastlogin};
   push @filters, "AND usr_premium_expire>NOW()" if $f->{status} eq 'premium';
   push @filters, "AND usr_premium_expire <= NOW()" if $f->{status} eq 'free';
   push @filters, "AND usr_reseller" if $f->{status} eq 'reseller';
   push @filters, "AND usr_dmca_agent" if $f->{status} eq 'dmca_agent';
   push @filters, "AND usr_aff_enabled" if $f->{status} eq 'aff_enabled';
   push @filters, "AND usr_mod" if $f->{status} eq 'mod';
   push @filters, "AND usr_adm" if $f->{status} eq 'adm';
   push @filters, "AND usr_status='PENDING'" if $f->{status} eq 'pending';
   push @filters, "AND usr_status='BANNED'" if $f->{status} eq 'banned';
   push @filters, "AND usr_money>=$f->{money}" if $f->{money} =~ /^[\d\.]+$/;

   if($f->{key})
   {
      push @filters, ($f->{key} =~ /^\d+\.\d+\.\d+\.\d+$/
         ? "AND usr_lastip='$f->{key}'"
         : "AND (usr_login LIKE '%$f->{key}%' OR usr_email LIKE '%$f->{key}%')");
   }

   return wantarray() ? @filters : join(" ", @filters);
}

1;
