package Engine::Cronjobs::AuthorizeSEReports;
use strict;

use XFileConfig;
use Engine::Core::Cronjob;
use LWP::UserAgent;
use Digest::MD5 qw(md5_hex);

sub main
{
   return if !$c->{authorize_se_vendor_id};

   my $transactions = $db->SelectARef("SELECT * FROM Transactions WHERE report_awaiting > 0 AND plugin='authorize_se'");
   my $ua = LWP::UserAgent->new;

   for my $transaction(@$transactions)
   {
      my $files_downloaded = $db->SelectOne("SELECT SUM(size) FROM IP2Files WHERE usr_id=? AND created > ? AND finished",
         $transaction->{usr_id}, $transaction->{last_rebill_date});
      next if $files_downloaded < 200 * 2**20;
   
      my $res = $ua->post($c->{authorize_se_url}, {
         DELIVERY_REPORT => 1,
         md5hash => uc(md5_hex(join('', $c->{authorize_se_secret}, $transaction->{txn_id}))),
         PAYMENT_ID => $transaction->{txn_id},
      });

      print STDERR "[$transaction->{id}] ", $res->decoded_content, "\n";
      $db->Exec("UPDATE Transactions SET report_awaiting=0 WHERE id=?", $transaction->{id});
   }
}

1;
