package Engine::FSRPC::Compile;
use strict;

use XFSConfig;
use XUpload;

sub main
{
   my ($f) = @_;
   my $fname = $f->{fname};
   my ($sid) = $f->{sid} =~ /(\w+)/;
   my $sess_id = $f->{session_id};

   return("<Error>Upload session expired</Error>") if ! -e "$c->{temp_dir}/$sid";
   return("<Error>Filename not specified</Error>") if !$fname;

   my $cx=0;
   open(F, ">$c->{temp_dir}/$sid/result") || return("<Error>Can't create result file</Error>");
   my $buf;
   $|++;

   while(-f "$c->{temp_dir}/$sid/file_$cx")
   {
      open(my $fh,"$c->{temp_dir}/$sid/file_$cx") || return("<Error>Can't open chunk</Error>");
      print F $buf while read($fh, $buf, 4096);
      close $fh;
      unlink("$c->{temp_dir}/$sid/file_$cx");
      $cx++;
   }
   close F;

   return ("<Error>No chunks were found</Error>") if ! $cx;

   my $file;
   $file->{file_tmp} = "$c->{temp_dir}/$sid/result";
   $file->{file_name_orig} = $fname;
   $f->{compile} = 1; # Dump download and delete link
   $f->{sess_id} = $sess_id;
   $file = &XUpload::ProcessFile($file,{ %$f, file_upload_method => 'web' });
   return("<Error>".$file->{msg}."</Error>") if $file->{msg} !~ /^OK/;

   my ($link,$del_link) = $file->{msg}=~/^OK=(.+?)\|(.+)$/;
   return("<Error>Can't generate link</Error>") if !$link;

   my $dx = sprintf("%05d",$file->{file_id}/$c->{files_per_folder});
   return("<Links><Code>$file->{file_code}</Code><Link>$link</Link>\n<DelLink>$del_link</DelLink></Links>");
}

1;
