package Engine::FSRPC::DelFiles;
use strict;

use XFSConfig;
use Daemonize;
use MultiHDD;

sub main
{
   my ($f) = @_;
   my $list = $f->{list};
   return('OK') if !$list;

   my $pid = daemonize();
   return "OK" if $pid;

   $|++;
   my @arr = split(/:/,$list);
   my $idir = $c->{htdocs_dir};
   $idir=~s/^(.+)\/.+$/$1\/i/;

   my $orig_dir = "$1/orig" if $c->{upload_dir} =~ /^(.*)\/uploads/;

   for my $x (@arr)
   {
      my ($file_id,$file_code)=split('-',$x);
      my $dx = sprintf("%05d",$file_id/$c->{files_per_folder});

      my $disk_id = MultiHDD::locate($c->{upload_dir}, "$dx/$file_code");
      print STDERR "Deleting: $c->{upload_dir}/$disk_id/$dx/$file_code\n";
      unlink("$c->{upload_dir}/$disk_id/$dx/$file_code") if -f "$c->{upload_dir}/$disk_id/$dx/$file_code";

      unlink <$idir/$dx/$file_code*>;
      unlink <$orig_dir/$dx/$file_code*> if $orig_dir;
      print"\n";
   }
}

1;
