package Engine::FSRPC::DeleteFiles2;
use strict;

use XFSConfig;
use JSON;
use MultiHDD;

sub main
{
   my ($f) = @_;
   my $orig_dir = "$1/orig" if $c->{upload_dir} =~ /^(.*)\/uploads/;
   my $idir = $c->{htdocs_dir};
   $idir=~s/^(.+)\/.+$/$1\/i/;

   $|++;

   print "Content-type: application/json\n\n";
   my $json = JSON->new->canonical(1);

   $f->{list} =~ s/\r//g;

   for my $subpath(split(/\n/, $f->{list}))
   {
      next if $subpath !~ /^(\d{5})\/(\w{12})$/;

      my $disk_id = MultiHDD::locate($c->{upload_dir}, $subpath);

      print STDERR "Deleting file by admin_db_file_check request: $c->{upload_dir}/$disk_id/$subpath\n";

      unlink("$c->{upload_dir}/$disk_id/$subpath") if -f "$c->{upload_dir}/$disk_id/$subpath";
      unlink <$idir/$subpath*>;
      unlink <$orig_dir/$subpath*> if $orig_dir;

      print $json->encode({ subpath => $subpath, status => "OK" }), "\n";
   }

   print $json->encode({ done => 1 }), "\n";
   return undef;
}

1;
