package Engine::FSRPC::GenLink;
use strict;

use XFSConfig;
use MultiHDD;

sub main
{
   my ($f) = @_;
   my $file_code = $f->{file_code};
   my $file_name = $f->{file_name};
   my $ip        = $f->{ip};
   my $dx = sprintf("%05d",$f->{file_id}/$c->{files_per_folder});
   my $orig_dir = "$1/orig" if $c->{upload_dir} =~ /^(.*)\/uploads/;
   $file_code =~ s/\W//g;

   my $orig_dir = "$1/orig" if $c->{upload_dir} =~ /^(.*)\/uploads/;
   my $pool = $f->{orig} ? $orig_dir : $c->{upload_dir};
   my $disk_id = MultiHDD::locate($pool, "$dx/$file_code");
   my $file_path = "$pool/$disk_id/$dx/$file_code";

   return "ERROR:no_file $file_path" unless -f $file_path;
   my $x1 = int(rand(10));
   my $rand = &randchar(14);
   unless(-d "$c->{htdocs_dir}/$x1")
   {
      mkdir("$c->{htdocs_dir}/$x1") || return "ERROR:mkdir0";
      chmod 0777, "$c->{htdocs_dir}/$x1";
   }
   $rand="$x1/$rand";
   while(-d "$c->{htdocs_dir}/$rand"){$rand = &randchar(14);}
   mkdir("$c->{htdocs_dir}/$rand") || return "ERROR:mkdir";
   chmod 0777, "$c->{htdocs_dir}/$rand";
   symlink($file_path,"$c->{htdocs_dir}/$rand/$file_name") || return "ERROR:sym_create_failed";

   if($ip)
   {
      open(FILE,">$c->{htdocs_dir}/$rand/.htaccess");
      $ip=~s/\./\\./g;
      $file_name=~s/\s/_/g;
      print FILE qq[RewriteEngine on\nRewriteCond %{REMOTE_ADDR} !^$ip\nRewriteRule ^.*\$ "$c->{site_url}/404.html?$c->{site_url}/$f->{file_code1}/$file_name.html"];
      close FILE;
   }

   return "OK:$rand";
}

sub randchar
{
   my @range = ('0'..'9','a'..'z');
   my $x = int scalar @range;
   join '', map $range[rand $x], 1..shift||1;
}

1;
