package Engine::FSRPC::ImportList;
use strict;

use XFSConfig;
use File::Find;

sub main
{
   my ($f) = @_;
   opendir(DIR, "$c->{cgi_dir}/ImportFiles") || return "Error:cant open ImportFiles dir";
   my @arr = map { "$_->{path}-$_->{size}" } _files_to_import();
   return "OK:".join(':',@arr);
}

sub _files_to_import
{
   my @arr;
   find({ wanted => sub {
      my $size = -s $_;
      s/ImportFiles\/?//;
      push @arr, { path => $_, size => $size } if -f "ImportFiles/$_";
   }, follow => 1, no_chdir => 1 },
   "ImportFiles");
   return sort(@arr);
}

1;
