package Engine::FSRPC::Install;
use strict;

use XFSConfig;
use XUpload;
use Installer;
use CheckParams;
use File::Slurp;
use JSON;

sub main {
   my ($f) = @_;
   my $pkg_context = copy_options($f, qw(product license package_id));
   my $installer = Installer->new({
      checksum_checker => \&remote_checksum_checker,
      deploy_option => 'FS',
   });

   my $html_dir = $c->{htdocs_dir};
   $html_dir = s#/files$##;
   my $ret = $installer->deploy($pkg_context, { cgi_bin => $c->{cgi_dir}, html => $html_dir });
   return $ret if $ret->{status} ne 'OK';

   Installer::run_install_script("$ret->{pkg_path}/install_fs.pl") if -e "$ret->{pkg_path}/install_fs.pl";

   return $ret;
}

sub remote_checksum_checker {
   my ($package_id, $checksums) = @_;

   my $ua = LWP::UserAgent->new(agent => "XFileSharingPro-Installer");

   my $res = $ua->post("$c->{site_cgi}/fs.cgi", {
      op => 'check_pkg_files',
      fs_key => $c->{fs_key},
      package_id => $package_id,
      %$checksums,
   });

   return JSON::decode_json($res->decoded_content());
}

1;
