package Engine::FSRPC::Rethumb;
use strict;

use XFSConfig;
use XUpload;
use MultiHDD;
use File::Copy;

sub main
{
   my ($f) = @_;
   my $idir = $c->{htdocs_dir};
   $idir=~s/^(.+)\/.+$/$1\/i/;

   my @files = split(/\n/, $f->{list});
   my @file_names = split(/\n/, $f->{file_names});

   for(my $i = 0; $i < @files; $i++)
   {
      my ($dx, $file_real) = split(/:/, $files[$i]);

      my $disk_id = MultiHDD::locate($c->{upload_dir}, "$dx/$file_real");
      my $file = "$c->{upload_dir}/$disk_id/$dx/$file_real";

      (print STDERR "File not found: $file\n"), next if !$file;

      my $ext = lc($1) if $file_names[$i] =~ /\.(\w+)$/;
      symlink($file, "$idir/$dx/$file_real.$ext") if $c->{m_i_hotlink_orig};

      XUpload::ResizeImg($file, $c->{m_i_width}, $c->{m_i_height});
      move("$file\_t.jpg", "$idir/$dx/$file_real\_t.jpg");
   }

   return "OK";
}

1;
