package Engine::MainRPC::AddTorrent;
use strict;
use vars qw($ses $db $f);

use XFileConfig;

sub main
{
   my ($ctx) = @_;

   return "No sid" if !$f->{sid};
   $f->{sid} = unpack("H*", $ses->decode32($f->{sid})) if length($f->{sid}) == 32; # base32 infohashes support

   return "OK" if $db->SelectOne("SELECT sid FROM Torrents WHERE sid=?",$f->{sid});
   return "ERROR:This type of users is not allowed to upload torrents" if !$c->{torrent_dl};
   return "ERROR:You're already using $c->{torrent_dl_slots} torrent slots"
      if $c->{torrent_dl_slots} && $db->SelectOne("SELECT COUNT(*) FROM Torrents WHERE usr_id=? AND status='WORKING'",$ctx->{user}->{usr_id})>=$c->{torrent_dl_slots};

   $db->Exec("INSERT INTO Torrents SET sid=?, usr_id=?, srv_id=?, fld_id=?, link_rcpt=?, link_pass=?, seed_until_rate=?, created=NOW()",
              $f->{sid},
              $ctx->{user}->{usr_id},
              $ctx->{server}->{srv_id},
              $f->{fld_id}||0,
              $f->{link_rcpt}||'',
              $f->{link_pass}||'',
              $c->{torrent_seed_rate}||0);
   return "OK";
}

1;
