package Engine::MainRPC::QueueTransferDone;
use strict;
use vars qw($ses $db $f);

use XFileConfig;

sub main
{
   my $task = $db->SelectRow("SELECT * FROM QueueTransfer WHERE file_real=?",$f->{file_real});
   my $file = $db->SelectRow("SELECT * FROM Files WHERE file_real=? LIMIT 1",$task->{file_real});

   $db->Exec("DELETE FROM QueueTransfer WHERE file_real=?",$f->{file_real});

   if($task->{copy})
   {
     $db->Exec("UPDATE Files SET srv_id_copy=? WHERE file_real=? LIMIT 200",$task->{srv_id2},$task->{file_real});
     return "OK=OK";
   }

   my $files_count = $db->SelectOne("SELECT COUNT(*) FROM Files WHERE file_real=?", $task->{file_real});
   $db->Exec("UPDATE Files SET srv_id=? WHERE file_real=?",$task->{srv_id2},$task->{file_real});
   $db->Exec("UPDATE Servers SET srv_files=srv_files-?, srv_disk=srv_disk-? WHERE srv_id=?",$files_count,$file->{file_size},$task->{srv_id1});
   $db->Exec("UPDATE Servers SET srv_files=srv_files+?, srv_disk=srv_disk+? WHERE srv_id=?",$files_count,$file->{file_size},$task->{srv_id2});

   require LWP::UserAgent;
   my $ua = LWP::UserAgent->new(agent => "XFS-FSServer", timeout => 900);
   my $srv_from = $db->SelectRow("SELECT * FROM Servers WHERE srv_id=?", $task->{srv_id1});
   my $res = $ua->post("$srv_from->{srv_cgi_url}/api.cgi", { op=>'del_files', fs_key => $srv_from->{srv_key}, list=>($file->{file_real_id}||$file->{file_id})."-".$file->{file_real} } )->content;
   return "OK=$res";
}

1;
