package Engine::MainRPC::QueueTransferNext;
use strict;
use vars qw($ses $db $f);

use XFileConfig;

sub main
{
   my ($ctx) = @_;

   my $filter_server = "AND srv_id2=?";
   $filter_server = "AND srv_id1=?" if $f->{direction} eq 'from';
   $filter_server = "AND ? IN (srv_id1, srv_id2)" if $f->{direction} eq 'both';
   my $filter_cdn = "AND s2.srv_cdn='$f->{cdn}'" if $f->{cdn};
   my $task = $db->SelectRow("SELECT * FROM QueueTransfer q
                              LEFT JOIN Servers s1 ON s1.srv_id = q.srv_id1
                              LEFT JOIN Servers s2 ON s2.srv_id = q.srv_id2
                              WHERE status='PENDING' 
                              $filter_server
                              $filter_cdn
                              LIMIT 1",
                              $ctx->{server}->{srv_id});
   return "" unless $task;
   $db->Exec("UPDATE QueueTransfer SET status='MOVING', started=NOW() WHERE file_real=?",$task->{file_real});
   
   my $file = $db->SelectRow("SELECT *, s.srv_cgi_url, s.srv_htdocs_url
                              FROM Files f, Servers s
                              WHERE f.file_real=? 
                              AND f.srv_id=s.srv_id",$task->{file_real});
   
   $task->{dx} = sprintf("%05d",($file->{file_real_id}||$file->{file_id})/$c->{files_per_folder});
   $task->{file_real} = $file->{file_real};
   $task->{direct_link} = $ses->getPlugins('CDN')->genDirectLink($file, dl_method => 'cgi', link_ip_logic => 'all',
      encoded => $file->{file_size_encoded} ? 1 : 0);
   $task->{orig_link} = $ses->getPlugins('CDN')->genDirectLink($file, dl_method => 'cgi', link_ip_logic => 'all') if $file->{file_size_encoded};
   $task->{cdn_data} = $ses->getSrvData($task->{srv_id2});
   $task->{direction} = ($task->{srv_id1} == $ctx->{server}->{srv_id}) ? 'from' : 'to';
   $task->{$_} = $file->{$_} for qw(srv_htdocs_url file_name);
   $task->{file_size} = $ses->api2($task->{srv_id1},
   {
      op => 'get_file_size',
      dx => $task->{dx},
      file_real => $task->{file_real},
   });
   $ses->getThumbLink($task) if $file->{file_name}=~/\.(jpg|jpeg|gif|png|bmp)$/i && $c->{m_i};
   if($c->{m_v} && $file->{file_name}=~/\.(avi|divx|mkv|flv|mp4|wmv)$/i)
   {
      my $dx = sprintf("%05d",($task->{file_real_id}||$file->{file_id})/$c->{files_per_folder});
      $task->{srv_htdocs_url}=~/(.+)\/.+$/;
      $task->{image_url}="$1/i/$dx/$file->{file_real}.jpg";
      $task->{thumb_url}="$1/i/$dx/$file->{file_real}_t.jpg";
   }

   return $task;
}

1;
