package Engine::MainRPC::Stats;
use strict;
use vars qw($ses $db $f);

use XFileConfig;

sub main
{
   return if !$c->{m_n_100_complete_percent};

   $|++;
   my $bandwidth_sum;

   for(split(/\n/,$f->{data}))
   {
      my ($file_id,$usr_id,$ip,$bandwidth) = split(/\|/,$_);
      next unless $ip;

      $ip = join '.', unpack('C4',pack('N', $ip )) if $ip =~ /^(\d+)$/; # Legacy stats.pl support

      my $file_rec=$db->SelectRow("SELECT *, u.usr_profit_mode
                                   FROM Files f
                                   LEFT JOIN Users u ON f.usr_id=u.usr_id
                                   WHERE f.file_id=?",$file_id);
      next unless $file_rec;

      my $file=$db->SelectRow("SELECT * FROM IP2Files
                               WHERE ip=?
                               AND usr_id=?
                               AND file_id=?",$ip,$usr_id,$file_id);

      ### What if no ip2file? e.g. IP changed
      if(!$file && $c->{m_y_embed_earnings})
      {
         logg("No IP2File record(ip=$ip)(file_id=$file_id)");
         $db->Exec("INSERT IGNORE INTO IP2Files SET ip=?,
                               usr_id=?,
                               owner_id=?,
                               file_id=?",
                               $ip,
                               $usr_id,
                               $file_rec->{usr_id}||0,
                               $file_id);
         $file = {ip=>$ip, usr_id=>$usr_id, file_id=>$file_id, owner_id=>$file_rec->{usr_id}||0};
      }

      $file->{size} += $bandwidth;

      $db->Exec("UPDATE IP2Files
                 SET size=?
                 WHERE ip=? AND usr_id=? AND file_id=?",$file->{size},$ip,$usr_id,$file_id);

      print STDERR "DL $file->{size} of $file_rec->{file_size} (ip=$ip) (fin=$file->{finished})\n";

      ### If correctly finished download
      my $m_n_100_complete_percent = $c->{m_n_100_complete_percent} || 100;

      if( $file->{size} >= $file_rec->{file_size} * $m_n_100_complete_percent / 100 && 
          !$file->{finished} )
      {
         print STDERR "Finished! ip=$ip usr_id=$usr_id file_id=$file_id\n";

         $ses->require("DlTracker")->countDL($file_rec,
            adblock_detected => $file->{status} eq 'ADBLOCK',
            referer => $file->{referer}||'',
            ip => $ip,
            usr_id => $usr_id);
      }
   }

   return "OK";
}

1;
