package Engine::MainRPC::TorrentDone;
use strict;
use vars qw($ses $db $f);

use XFileConfig;

sub main
{
   my ($ctx) = @_;

   return "No sid" if !$f->{sid};
   my $torrent = $db->SelectRow("SELECT * FROM Torrents WHERE sid=?", $f->{sid});
   return "No torrent" if !$torrent;

   my $res = $ses->api2($ctx->{server}->{srv_id},
   {
      op => 'torrent_done',
      sid => $f->{sid},
      usr_id => $torrent->{usr_id},
   });

   print STDERR "Server return: $res\n";
   my $seed = 1 if $c->{torrent_seed_rate};
   my $sql = $seed ? "UPDATE Torrents SET downloaded=size, status='SEEDING' WHERE sid=?" : "DELETE FROM Torrents WHERE sid=?";
   $db->Exec($sql, $f->{sid});

   if($torrent->{link_rcpt})
   {
      my @files = split(/\n/, $torrent->{files});
      my $tmpl = $ses->CreateTemplate("confirm_email_user.html");
      $ses->require("MailSender")->sendMail( $torrent->{link_rcpt}, $c->{email_from}, "$c->{site_name}: File send notification", $tmpl->output() );
   }

   local *to_json_bool = sub { return shift() ? JSON::true : JSON::false };
   return { status => 'OK', delete => to_json_bool(!$seed) };
}

1;
