package Engine::MainRPC::TorrentStats;
use strict;
use vars qw($ses $db $f);

use XFileConfig;

sub main
{
   my @deleted_torrents;
   $db->Exec("DELETE FROM Torrents WHERE status='SEEDING' AND uploaded / size >= seed_until_rate");
   my $torrents = JSON::decode_json($ses->UnsecureStr($f->{data}));

   for(@$torrents)
   {
      push @deleted_torrents, $_->{info_hash} if !$db->SelectOne("SELECT * FROM Torrents WHERE sid=?", $_->{info_hash});
      $db->Exec("UPDATE Torrents SET name=?, downloaded=?, uploaded=?, download_speed=?, upload_speed=?, size=?, files=?, updated=NOW() WHERE sid=?",
         $_->{name}||'',
         $_->{total_done},
         $_->{total_uploaded},
         $_->{download_rate},
         $_->{upload_rate},
         $_->{total_wanted},
         JSON::encode_json($_->{files}||[]),
         $_->{info_hash});
   }

   return { status => 'OK', deleted_torrents => \@deleted_torrents };
}

1;
