package DataBase;

use strict;
use DBI;
use XFileConfig;
use Digest::SHA qw(sha1_hex);
use DataBaseImpl;

sub new{
  my ($class) = @_;
  my $self = {};

  my @slaves = @{ $c->{db_slaves} || [] };
  $self->{master} = DataBaseImpl->new();
  $self->{slave} = DataBaseImpl->new(db_host => $slaves[rand(@slaves)]||$c->{db_host});

  bless $self, $class;
}

sub master {
   return shift()->{master};
}

sub slave {
   return shift()->{slave};
}

sub SelectOne        { shift()->slave()->SelectOne(@_) }
sub SelectRow        { shift()->slave()->SelectRow(@_) }
sub SelectRowCached  { shift()->slave()->SelectRowCached(@_) }
sub Select           { shift()->slave()->Select(@_) }
sub Uncache          { shift()->slave()->Uncache(@_) }
sub SelectARef       { shift()->slave()->SelectARef(@_) }

sub Exec             { shift()->master()->Exec(@_) }
sub getLastInsertId  { shift()->master()->getLastInsertId(@_) }

1;
