package SafeRun;
use strict;
use IPC::Open3;
use SafeRun::Results;

use Exporter;
@SafeRun::ISA = qw(Exporter);
@SafeRun::EXPORT = qw(saferun);

sub saferun
{
   my (@args) = @_;
   my $ret = {};
   my $pid = open3(\*WRFH, \*RDFH, \*ERRFH, @args) || die("Couldn't open: $!");
   waitpid($pid, 0);

   return SafeRun::Results->new({
      stdout => [ <RDFH> ],
      stderr => [ <ERRFH> ],
      exit_code => $?,
   });
}

1;
