package Plugins::Captcha::hcaptcha;
use LWP::UserAgent;
use JSON;

sub generate
{
   my ($self) = @_;
   return if $ses->{captcha_mode} !~ /^(5|hcaptcha)$/i;
   die("No HCaptcha API keys") if !$c->{hcaptcha_site_key} || !$c->{hcaptcha_secret_key};

   return <<BLOCK
    <script src="https://hcaptcha.com/1/api.js" async defer></script>
    <div class="h-captcha" data-sitekey="$c->{hcaptcha_site_key}"></div>
BLOCK
;
}

sub check
{
   my ($self, $f) = @_;
   return if $ses->{captcha_mode} !~ /^(5|hcaptcha)$/i;

   my $res = LWP::UserAgent->new->post('https://hcaptcha.com/siteverify',
      {
         response => $f->{'h-captcha-response'},
         secret => $c->{hcaptcha_secret_key},
      });

   my $ret = JSON::decode_json($res->decoded_content);
   return 1 if $ret->{success} eq 'true';
}

1;

