package Plugins::Payments::bitpay;
use Payments;
use base 'Payments';
use vars qw($ses $c);
use LWP::UserAgent;
use HTTP::Request::Common;
use JSON;

sub options {
	return {
		name=>'bitpay',
		title=>'BitPay',
		account_field=>'bitpay_api_key',
		image=>'buy_bitpay.png',
		listed_reseller=>'1',
			s_fields=>[
				{title=>'Your BitPay API key', name=>'bitpay_api_key', type=>'text', size => 56},
				{title=>'Your BitPay Password', name=>'bitpay_password', type=>'text', comment=>''},
				],
		};
}

sub checkout {
	my ($self, $f) = @_;
	return if $f->{type} ne 'bitpay';
	my $ua = LWP::UserAgent->new();
	my $site_cgi_https = "https://$1" if $c->{site_cgi} =~ /^https?:\/\/(.*)/;
	my $req = POST "https://bitpay.com/api/invoice", [
		price => $f->{amount},
		currency => $c->{currency_code},
		posData => $f->{id},
		notificationURL => "$c->{site_cgi}/ipn.cgi",
		redirectURL => "$c->{site_url}/?payment_complete=$f->{id}-1",
		transactionSpeed => "high",
		fullNotifications => 'false',
	];
	$req->authorization_basic($c->{bitpay_api_key}, $c->{bitpay_password});
	my $ret = JSON::decode_json($ses->UnsecureStr($ua->request($req)->decoded_content));
	if($ret->{error})
	{
		$ses->message("BitPay error: $ret->{error}->{message}");
	}
	return($ret->{url});
}

sub verify {
	my ($self, $f) = @_;
	return if !$f->{POSTDATA};
	my $obj = JSON::decode_json($ses->UnsecureStr($f->{POSTDATA}));
	my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$obj->{posData}) || die( "Transaction not found: '$obj->{posData}'"  );
   # No need to check the status as fullNotifications are not enabled
	return($transaction);
}

1;
