package Plugins::Payments::cashu;
use Payments;
use base 'Payments';
use vars qw($ses $c);
use Digest::SHA  qw(sha1_hex);

sub options {
	return {
		name=>'cashu', title=>'CashU', account_field=>'cashu_merchant_id', image=>'buy_cashu.gif',
			s_fields=>[
				{title=>'CashU Merchant ID', name=>'cashu_merchant_id', type=>'text', size=>16, comment=>'optional'},
				],
		};

}

sub checkout
{
	my ($self, $f) = @_;
	return if $f->{type} ne 'cashu';
	use Digest::MD5 qw(md5_hex);
	sub print_cashu_form
	{
		my ($merchant_id, $order_id, $amount, $currency, $secret_code) = @_;
		local $_ = join(":", (lc($merchant_id), $amount, lc($currency), $secret_code) );
		my $sign = md5_hex($_);
		my $cc = $ses->{cgi_query}->cookie( -name => 'transaction_id', -value => $order_id, -domain  => ".$ses->{domain}", -expires => '+1h');
		print $ses->{cgi_query}->header( -cookie => [$cc] , -type => 'text/html', -expires => '-1h', -charset => $c->{charset});
		print <<Form
			<HTML><BODY onLoad="document.F1.submit();">
			<form action="https://www.cashu.com/cgi-bin/pcashu.cgi" method="POST" name="F1">
			<p style="visibility:hidden;">
			<input name="merchant_id" type="hidden" value="$merchant_id" />
			<input name="amount" type="hidden" value="$amount" />
			<input name="currency" type="hidden" value="$currency" />
			<input name="language" type="hidden" value="en" />
			<input name="token" type="hidden" value="$sign" />
			<input name="display_text" type="hidden" value="$c->{site_name}" />
			<input name="txt1" type="display_text" value="$c->{site_name}" />
			<input name="session_id" type="hidden" value="$order_id" />
			<input name="test_mode" type="hidden" value="0" />
			<input type="submit" value="Pay" />
			</p>
			</form>
			</BODY></HTML>
Form
			;
	}
	print_cashu_form($c->{cashu_merchant_id}, $f->{id}, $f->{amount}, $c->{currency_code}, $c->{dl_key});
	exit;
}

sub verify {
	my ($self, $f) = @_;
	return if !$f->{session_id};
	my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$f->{session_id}) || die( "Transaction not found_cashu: '$f->{session_id}'"  );
	die("Amount changed!") unless $f->{amount}==$transaction->{amount};
	die("Test mode!") if $f->{test_mode};

	my $hex = sha1_hex("$c->{cashu_merchant_id}:$f->{trn_id}:$c->{dl_key}");
	die("Security Hash do not pass") if $f->{verificationString} ne $hex;
	return($transaction);
}

1;
