package Plugins::Payments::click2sell;
use base 'Payments';
use vars qw($ses $c);
use Digest::MD5 qw(md5_hex);

sub options {
	return {
		name=>'click2sell', title=>'Click2Sell', account_field=>'click2sell_products', image=>'buy_click2sell.png',
			s_fields=>[
				{title=>'Click2Sell Products', name=>'click2sell_products', type=>'text',size=>56, comment=>'<br><small>Format: payment_amount=product_name, comma delimited</small>'
               },
				],
		};

}

sub checkout {
	my ($self, $f) = @_;
	return if $f->{type} ne 'click2sell';
	my $click2sell_products = $ses->ParsePlans($c->{click2sell_products}, 'array');
	my ($product) = grep { $_->{amount} == $f->{amount} } @$click2sell_products;
	$ses->message("This option is not available"), exit
		if !$product;
	return("https://www.click2sell.eu/buy?$product->{value}&custom=$f->{id}");
}

sub verify {
	my ($self, $f) = @_;
	return undef if !$f->{c2s_transaction_id};
	$transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$f->{cp_custom}) || die( "Transaction not found_click2sell: '$f->{cp_custom}'");
	my $sig = md5_hex($c->{dl_key}.'_'.$f->{acquirer_transaction_id});
	print STDERR "sig=$sig";
	die("Invalid signature") if lc($sig) ne lc($f->{checksum});
	die("Amount changed") if $f->{product_price} != $transaction->{amount};
	die("Currency changed") unless $f->{product_currency} eq $c->{currency_code};
	return($transaction);
}

1;
