package Plugins::Payments::interkassa;
use Payments;
use base 'Payments';
use MIME::Base64;
use LWP::UserAgent;
use Digest::MD5 qw(md5);
use vars qw($ses $c);
use strict;


sub options {
	return {
		name=>'interkassa', title=>'interkassa', account_field=>'ik_co_id', image=>'buy_interkassa.gif', 
		listed_reseller=>'1',
		s_fields=>[
			{title=>'Your interkassa Shop ID', name=>'ik_co_id', type=>'text'},
			{title=>'Your interkassa Secret Key', name=>'ik_secret', type=>'text'},
			]
		};
}

sub checkout {
	my ($self, $f) = @_;
	return if $f->{type} ne 'interkassa';
	print"Content-type:text/html\n\n";
	print <<END
<HTML><BODY onLoad="document.F1.submit();">
<form name="F1" action="https://sci.interkassa.com/" method="post" enctype="application/x-www-form-urlencoded">
<input type="hidden" name="ik_co_id" value="$c->{ik_co_id}">
<input type="hidden" name="ik_pm_no" value="$f->{id}">
<input type="hidden" name="ik_am" value="$f->{amount}">
<input type="hidden" name="ik_cur" value="$c->{currency_code}">
<input type="hidden" name="ik_desc" value="$c->{site_name} Premium Account">
<input type="hidden" name="ik_suc_m" value="GET">
<input type="hidden" name="ik_suc_u" value="$c->{site_url}/?payment_complete=$f->{id}-1">
<input type="hidden" name="ik_fal_u" value="$c->{site_url}/?op=payments">
<input type="submit" name="process" value="Pay">
</form>
</BODY></HTML>
END
		;
	exit;
}

sub verify {
	my ($self, $f) = @_;
	return if !$f->{ik_co_id};

	my @sign_fields = sort ( grep { /^ik_/ && !/^ik_sign$/ } keys(%$f) );
	my @sign_data = map { $f->{$_} } @sign_fields;
	push @sign_data, $c->{ik_secret};
	my $sign = encode_base64(md5(join(':', @sign_data)), '');
	print STDERR "sign=$sign ik_sign=$f->{ik_sign}\n";

	my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$f->{ik_pm_no}) || die( "Transaction not found: '$f->{ik_pm_no}'"  );
	die("Wrong signature") if decode_base64($sign) ne decode_base64($f->{ik_sign});
	die("Wrong Shop ID") if $f->{ik_co_id} ne $c->{ik_co_id};
	die("Wrong amount") if $f->{ik_am} ne $transaction->{amount};
	die("Wrong currency") if $f->{ik_cur} ne $c->{currency_code};

	return($transaction);
}

1;
