package Plugins::Payments::okpay;
use Payments;
use base 'Payments';
use vars qw($ses $c);

sub options {
   return {
      name=>'okpay', title=>'OKPay', account_field=>'okpay_receiver', image=>'buy_okpay.png',
         s_fields=>[
            {title=>'OKPay Receiver ID', name=>'okpay_receiver', type=>'text', size=>16, comment=>'optional'},
            ],
      };

}

sub checkout {
   my ($self, $f) = @_;
   return if $f->{type} ne 'okpay';
   print"Content-type:text/html\n\n";
   print <<OUT
      <HTML><BODY onLoad="document.F1.submit();">
      <form  method="post" name="F1" action="https://www.okpay.com/process.html">
      <input type="hidden" name="ok_receiver" value="$c->{okpay_receiver}"/>
      <input type="hidden" name="ok_item_1_name" value="$c->{site_name} premium account"/>
      <input type="hidden" name="ok_currency" value="$c->{currency_code}"/>
      <input type="hidden" name="ok_item_1_article" value="$f->{id}"/>
      <input type="hidden" name="ok_item_1_type" value="service"/>
      <input type="hidden" name="ok_item_1_price" value="$f->{amount}"/>
      <input type="hidden" name="ok_return_success" value="$c->{site_url}/?payment_complete=$f->{id}-0"/>
      <input type="hidden" name="ok_return_fail" value="$c->{site_url}/?op=payments"/>
      <input type="hidden" name="ok_ipn" value="$c->{site_cgi}/ipn.cgi"/>
      <input type="submit" value="OK"/>
      </form>
      </BODY></HTML>
OUT
      ;
   exit();
}

sub error {
	print STDERR "$_[0]\n";
	print "Content-type: text/plain\n\n";
	exit;
}

sub verify {
   my ($self, $f) = @_;
   return if !$f->{ok_item_1_article};
   my $ua = LWP::UserAgent->new(agent => 'application/x-www-form-urlencoded', timeout => 90);
   my $res = $ua->post($c->{okpay_url},
         {
         %{$f},
         'ok_verify' => 'true',
         });
   print STDERR "Got answer: ".$res->content;
   error("Not verified" ) unless $res->content eq 'VERIFIED';
   my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$f->{ok_item_1_article}) || error( "Transaction not found_okpay: '$f->{ok_item_1_article}'"  );
   error("Amount changed!") 
      unless $f->{ok_item_1_gross}==$transaction->{amount};
   error("Currency changed!") 
      unless lc $f->{ok_txn_currency} eq lc $c->{currency_code};
   return($transaction);
}

1;
