package Plugins::Payments::payline_ir;
use Payments;
use base 'Payments';
use vars qw($ses $c $f $db);
use strict;	
use URI::Escape;
use LWP::UserAgent;

sub options {
	return {
		name=>'payline_ir', title=>'Payline', account_field=>'payline_api', image=>'buy_payline_ir.gif',
			s_fields=>[
				{title=>'Payline.ir API key', name=>'payline_api', type=>'text',size=>16, comment=>'optional'},
				],
		};

}

sub checkout {
	my ($self, $f) = @_;
	return if $f->{type} ne 'payline_ir';
	my $amount =$f->{amount}*$c->{dollar_tom};
	my $ua = LWP::UserAgent->new();
	my $redirect = uri_escape("$c->{site_url}/cgi-bin/ipn.cgi?payline=$f->{id}");
	my $purl = "http://payline.ir/payment/gateway-send";
	my $hash_form = { 
		'api' => $c->{payline_api},
		'amount' => $amount,
		'redirect' => $redirect,
	};
	my $ret = $ua->post($purl, $hash_form); 
	if ($ret > 0)
	{
		my $url = "http://payline.ir/payment/gateway-$ret";
		return($url);
	}
	else
	{
		die("Payline error code: $ret");
	}	
}

sub error {
	print STDERR "$_[0]\n";
	print"Content-type:text/html\n\n<script>window.location='$c->{site_url}/?sub_transaction=$_[0]-$_[1]';</script>";
	exit;
}

sub verify {
	my ($self, $f) = @_;
	return if !$ENV{QUERY_STRING}=~/payline=(.+)/;
	
	my @vars = split('&', $ENV{QUERY_STRING});
	foreach my $var (@vars)
	{
		my ($v,$i) = split('=', $var);
		if($f->{$v} ne ""){
			$f->{$v} .= ",$i";
		}else{
			$f->{$v} = $i;
		}
	}

	my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$f->{payline}) || die( "Transaction not found: '$f->{payline}'"  );
	my $amount =$transaction->{amount}*$c->{dollar_tom};
	my $ua = LWP::UserAgent->new();
	my $purl = "http://payline.ir/payment/gateway-result-second";
	my $hash_form = { 
		'api' => $c->{payline_api},
		'id_get' => $f->{id_get},
		'trans_id' => $f->{trans_id},
	};
	my $ret = $ua->post($purl, $hash_form); 
	my $url = "$c->{site_url}/?payment_complete=$f->{payline}-$transaction->{usr_id}";
	
	error("Subscription Expire", "Transaction Expire") if $transaction->{verified} == 1;
	error('Payment Canceled.', "Transaction Info Canceled.") if $ret eq '-1' && $ret eq '-2' && $ret eq '-3' && $ret eq '-4'; 
	
	if( $ret==1 && $transaction->{verified}==0 )
	{
		print"Content-type:text/html\n\n<script>window.location='$url';</script>";
		return($transaction);
	}
}

1;
