package Plugins::Payments::paylink;
use strict;
use Payments;
use base 'Payments';
use vars qw($ses $c);
use Digest::MD5 qw(md5_hex);

sub options {
	return {
		name=>'paylink', title=>'Paylink', account_field=>'paylink_member', image=>'buy_paylink.png',
			s_fields=>[
				{title=>'Your Paylink Member ID', name=>'paylink_member', type=>'text', comment=>'optional'},
				{title=>'Your Paylink Products', name=>'paylink_products', type=>'text', size => 56, comment=>'<br><small>Format: payment_amount=product_id, comma delimited</small>'},
				],
		};
}

sub checkout
{
	my ($self, $f) = @_;
	return if $f->{type} ne 'paylink';
	my $plans_paylink = $ses->ParsePlans($c->{paylink_products}, 'hash');
	my $product_id = $plans_paylink->{$f->{amount}};
	my $usr_id = $ses->getUser ? $ses->getUserId : 0;
	if($c->{paylink_subscription} && !$f->{reseller})
	{
		my $days = $f->{days}||$plans_paylink->{$f->{amount}};
		my $time_code='D' if $days<=90; unless($time_code){$time_code='M';$days=sprintf("%. 0f",$days/30);}
		if($c->{paylink_trial_days})
		{
				  print"Content-type:text/html\n\n";
				  print <<END
							 <HTML><BODY onLoad="document.F1.submit();">
							 <form name="F1" action="$c->{paylink_url}" method="post">
							 <input type="hidden" name="action" value="product">
							 <input type="hidden" name="product" value="$product_id">
							 <input type="hidden" name="cmd" value="_notify-validate">
							 <input type="hidden" name="member" value="$c->{paylink_member}">
							 <input type="hidden" name="currency_code" value="$c->{currency_code}">
							 <input type="hidden" name="cbt" value="Start using $c->{site_name}!">
							 <input type="hidden" name="item_name" value="$c->{item_name}">
							 <input type="hidden" name="return" value="$c->{site_url}/?payment_complete=$f->{id}-$usr_id">
							 <input type="hidden" name="cancel_return" value="$c->{site_url}">
							 <input type="hidden" name="notify_url" value="$c->{site_cgi}/ipn.cgi">
							 <input type="hidden" name="custom" value="$f->{id}">
							 <input type="hidden" name="amount" value="$f->{amount}">
							 <input type="hidden" name="business" value="$c->{paypal_email}">
							 <input type="submit" value="Redirecting....">
							 </form> </BODY></HTML>
END
							 ;
				  exit;
		}
	}
	else
	{
		print"Content-type:text/html\n\n";
		print <<END
				  <HTML><BODY onLoad="document.F1.submit();" >
				  <form name="F1" action="$c->{paylink_url}" method="post">
				  <input type="hidden" name="action" value="product">
				  <input type="hidden" name="product" value="$product_id">
				  <input type="hidden" name="cmd" value="_notify-validate">
				  <input type="hidden" name="member" value="$c->{paylink_member}">
				  <input type="hidden" name="currency_code" value="$c->{currency_code}">
				  <input type="hidden" name="cbt" value="Start using $c->{site_name}!">
				  <input type="hidden" name="item_name" value="$c->{item_name}">
				  <input type="hidden" name="return" value="$c->{site_url}/?payment_complete=$f->{id}-$usr_id">
				  <input type="hidden" name="cancel_return" value="$c->{site_url}">
				  <input type="hidden" name="notify_url" value="$c->{site_cgi}/ipn2.cgi">
				  <input type="hidden" name="custom" value="$f->{id}">
				  <input type="hidden" name="amount" value="$f->{amount}">
				  <input type="hidden" name="business" value="$c->{paypal_email}">
				  <input type="submit" value="Redirecting......">
				  </form>
				  </BODY></HTML>
END
				  ;
		exit;
	}
}

sub verify {
	my ($self, $f) = @_;
	return if !$f->{payltid};
	my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$f->{payltid}) || die( "Transaction not found: '$f->{payltid}'");
	my $ua = LWP::UserAgent->new(agent => 'application/x-www-form-urlencoded', timeout => 90);
	my $data = [ map {$_=>$f->{$_}} %{$f} ];
	push @$data, 'cmd', '_notify-validate';
	my $res = $ua->post( $c->{paylink_url}, $data );
	return undef;
}

1;
