package Plugins::Payments::payza;
use Payments;
use base 'Payments';
use vars qw($ses $c);

sub options {
	return {
		name=>'payza',
		title=>'Payza',
		account_field=>'payza_email',
		image=>'buy_payza.png',
		listed_reseller=>'1',
			s_fields=>[
				{title=>'Your Payza E-mail', name=>'payza_email', type=>'text', comment=>'optional'},
				],
		};
}

sub checkout {
	my ($self, $f) = @_;
	return if $f->{type} ne 'payza';
	my $url="https://secure.payza.com/checkout?ap_purchasetype=item&ap_merchant=$c->{payza_email}&ap_itemname=$c->{item_name}&ap_currency=$c->{currency_code}&ap_returnurl=$c->{site_url}/?payment_complete=$f->{id}-0&ap_quantity=1";
	$url.="&apc_1=$f->{id}&ap_amount=$f->{amount}";
	return($url);
}

sub verify {
	my ($self, $f) = @_;
	return if !$f->{apc_1};
	my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$f->{apc_1}) || die( "Transaction not found: '$f->{apc_1}'"  );
	$f->{txn_id} = $f->{ap_referencenumber};
	$f->{payer_email} = $f->{ap_custemailaddress};
	die("Transaction is not successfull!") unless $f->{ap_status} eq 'Success';
	die("Currency changed!") unless $f->{ap_currency} eq $c->{currency_code};
	die("Amount changed!") unless $f->{ap_totalamount}==$transaction->{amount};
	return($transaction);
}

1;
