package Plugins::Payments::pcash;
use Payments;
use base 'Payments';
use vars qw($ses $c);
use strict;

sub options {
	return {
		name=>'pcash', title=>'Paysite-Cash', account_field=>'pcash_site_id', image=>'buy_pcash.png',
			s_fields=>[
				{title=>'Your Paysite-Cash site ID', name=>'pcash_site_id', type=>'text', comment=>'optional'},
				],
		};
}

sub checkout {
	my ($self, $f) = @_;
	return if $f->{type} ne 'pcash';
        print"Content-type:text/html\n\n";
      	print <<OUT
<html><body onLoad="document.F1.submit()">
<form method="post" name="F1" action="https://billing.paysite-cash.biz">
<input type="hidden" name="site" value="$c->{pcash_site_id}">
<input type="hidden" name="montant" value="$f->{amount}">
<input type="hidden" name="devise" value="$c->{currency_code}">
<input type="hidden" name="divers" value="$f->{id}">
<input type="submit" value="Redirecting...">
</form>
</body></html>
OUT
;
	exit;
}

sub verify {
	my ($self, $f) = @_;
	return if !$f->{divers};
	my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$f->{divers}) || die( "Transaction not found_pcash: '$f->{divers}'"  );
	die("Currency changed!") unless $f->{devise} eq $c->{currency_code};
	die("Amount changed!") unless $f->{montant}==$transaction->{amount};
	die("Transaction invalid") if $f->{errordetail};
	$f->{payer_email} = $f->{email};
	return($transaction);
}

1;
