package Plugins::Payments::perfectmoney;
use base 'Payments';
use vars qw($ses $c);
use strict;
use Digest::MD5 qw(md5_hex);

sub options {
	return {
		name=>'perfectmoney', title=>'PerfectMoney', account_field=>'perfectmoney_account', image=>'buy_perfectmoney.png',
			s_fields=>[
				{title=>'PerfertMoney Account ID', name=>'perfectmoney_account', type=>'text',size=>36, comment=>'optional'},
				{title=>'PerfectMoney Secret', name=>'perfectmoney_secret', type=>'text',size=>36, comment=>'optional'},
				],
		};

}

sub checkout {
	my ($self, $f) = @_;
	return if $f->{type} ne 'perfectmoney';
	print"Content-type:text/html\n\n";
	print <<OUT
<HTML><BODY onLoad="document.F1.submit();">
<form name="F1" action="https://perfectmoney.is/api/step1.asp" method="POST">
    <input type="hidden" name="PAYMENT_METHOD" value="Visa Card">
    <input type="hidden" name="PAYEE_ACCOUNT" value="$c->{perfectmoney_account}">
    <input type="hidden" name="PAYEE_NAME" value="$c->{site_name}">
    <input type="hidden" name="PAYMENT_AMOUNT" value="$f->{amount}">
    <input type="hidden" name="PAYMENT_UNITS" value="$c->{currency_code}">
    <input type="hidden" name="STATUS_URL" value="$c->{site_cgi}/ipn.cgi">
    <input type="hidden" name="PAYMENT_URL" value="$c->{site_url}/?payment_complete=$f->{id}-0">
    <input type="hidden" name="NOPAYMENT_URL" value="$c->{site_url}/?op=payments">
    <input type="hidden" name="BAGGAGE_FIELDS" value="ORDER_NUM">
    <input type="hidden" name="ORDER_NUM" value="$f->{id}">
    <input type="submit" value="OK">
</form>
</BODY></HTML>
OUT
;
	exit;
}

sub verify {
	my ($self, $f) = @_;
	return undef if !$f->{ORDER_NUM};
	my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?", $f->{ORDER_NUM})|| die( "Transaction not found_perfect: '$f->{ORDER_NUM}'", 'EXIT' );;

	my $passphrase_hash = uc(md5_hex($c->{perfectmoney_secret}));
	print STDERR "passphrase_hash=$passphrase_hash\n";

	my $data = join(':', $f->{PAYMENT_ID}||'NULL', $f->{PAYEE_ACCOUNT}, $f->{PAYMENT_AMOUNT}, $f->{PAYMENT_UNITS}, $f->{PAYMENT_BATCH_NUM},$f->{PAYER_ACCOUNT}, $passphrase_hash, $f->{TIMESTAMPGMT});
	print STDERR "data=$data\n";

	my $sign = uc(md5_hex($data));
	print STDERR "sign=$sign\n";

	die("Wrong signature") if $f->{V2_HASH} ne $sign;
	die("Wrong payee account") if $f->{PAYEE_ACCOUNT} ne $c->{perfectmoney_account};
	die("Wrong amount") if $f->{PAYMENT_AMOUNT} != $transaction->{amount};
	die("Wrong currency") if uc($f->{PAYMENT_UNITS}) ne uc($c->{currency_code});

	return($transaction);
}

1;
