package Plugins::Payments::posonline;
use Payments;
use base 'Payments';
use vars qw($ses $c);
use Digest::MD5 qw(md5_hex);

sub options {
	return {
		name=>'posonline',
		title=>'PosOnline',
		account_field=>'posonline_operator_id',
		image=>'buy_posonline.gif',
		listed_reseller=>'1',
			s_fields=>[
				{title=>'PosOnline Operator ID', name=>'posonline_operator_id', type=>'text', size=>4,comment=>'optional'},
				{title=>'PosOnline Secret Key', name=>'posonline_secret', type=>'text', comment=>'optional'},
				],
		};

}

sub checkout {
	my ($self, $f) = @_;
	return if $f->{type} ne 'posonline';
	print"Content-type:text/html\n\n";
	print <<END
		<HTML><BODY onLoad="document.F1.submit();">
		<Form method="POST" action="https://www.posonline.it/capturedirect.asp" name="F1">
		<input type="hidden" name="EsercenteID" value="$c->{posonline_operator_id}">
		<input type="hidden" name="importo" value="$f->{amount}">
		<input type="hidden" name="OrderID" value="$f->{id}">
		<input type="hidden" name="transaction_id" value="$f->{id}">
		<input type="submit" value="Transfering to Secure SSL Payment">
		</Form>
		</BODY></HTML>
END
;
	exit;
}

sub verify {
	my ($self, $f) = @_;
	return if !$f->{transaction_type};
	my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$f->{transaction_id}) || die( "Transaction not found: '$f->{transaction_id}'"  );
	
	my $secret = $c->{posonline_secret};
	
	my $reference = md5_hex("transaction_id=" . $f->{transaction_id} . "&transaction_type=" . $f->{transaction_type} . "&amount=" . $f->{amount} . "&payer_type=" . $f->{payer_type} . "&papay_cf=" . $f->{papay_cf} . "&payer_vat=" . $f->{payer_vat} . "&payer_location=" . $f->{payer_location} . "&payer_ip=" . $f->{payer_ip} . $secret );
	die("Signature doesn't match!") if $f->{sign} ne $reference;
	
	$f->{txn_id} = $f->{transaction_id};
	$f->{payer_email} = $f->{payer_mail};
	
	die("Transaction is not successfull!") if $f->{transaction_type} eq '0';
	return($transaction);
}

1;
