package Plugins::Payments::premiumturkiye;
use strict;
use Payments;
use base 'Payments';
use vars qw($ses $db $c);

sub options {
	return {
		name=>'premiumturkiye',
		title=>'PremiumTurkiye',
		account_field=>'premiumturkiye_id',
		image=>'buy_premiumturkiye.png',
			s_fields=>[
				{title=>'Your PremiumTurkiye ID', name=>'premiumturkiye_id', type=>'text', comment=>'optional', size => 10},
				{title=>'Your PremiumTurkiye Shared Secret', name=>'premiumturkiye_password', type=>'text', comment=>'optional', size => 16},
				],
		};
}

sub checkout {
	my ($self, $f) = @_;
	return if $f->{type} ne 'premiumturkiye';
   return $ses->message("Available for registered users only") if !$ses->getUser;
   return $ses->redirect("https://www.premiumturkiye.com/$c->{premiumturkiye_id}/$f->{days}?trid=$f->{id}");
}

sub verify {
	my ($self, $f) = @_;
   return if !$f->{trid};

   my $transaction = $db->SelectRow("SELECT * FROM Transactions WHERE id=?", $f->{trid}) || error("No such transaction");
   error("Transaction already verified") if $transaction->{verified};
   error("Invalid password") if $f->{password} ne $c->{premiumturkiye_password};
   $f->{out} = 'OK';

   return $transaction;
}

sub error
{
   my ($msg) = @_;
   print STDERR "$msg\n";
   print "Content-type: text/html\n\n$msg";
   exit();
}

1;
