package Plugins::Payments::pwall;
use Payments;
use base 'Payments';
use vars qw($ses $c);


sub options {
	return {
		name=>'pwall', title=>'PaymentWall', account_field=>'pwall_app_id', image=>'buy_pwall.png',
			s_fields=>[
				{title=>'Paymentwall Application Key', name=>'pwall_app_id', type=>'text', comment=>'optional'},
				{title=>'Paymentwall Secret Key', name=>'pwall_secret_key', type=>'text', comment=>'optional'},
				],
		};

}

sub checkout
{
	my ($self, $f) = @_;
	return if $f->{type} ne 'pwall';
	require LWP::UserAgent;
	require Digest::MD5;
	my $ua        = LWP::UserAgent->new();
	# Computing signature
	my $params = {
		key => $c->{pwall_app_id},
		uid => $f->{email},
		ag_name => 'premium',
		ag_external_id => $id,
		ag_type => 'fixed',
		widget => 'p1',
		sign_version => 2,
		amount => $f->{amount},
		currencyCode => 'USD',
	};
	my $base;
	foreach(sort(keys %$params)) { $base .= "$_=$params->{$_}" }
	my $sign = Digest::MD5::md5_hex($base.$c->{pwall_secret_key});
	# Setting up the request
	my $res = $ua->get("http://wallapi.com/api/standalone/?key=$c->{pwall_app_id}&uid=$f->{email}&ag_name=premium&ag_external_id=$id&ag_type=fixed&widget=p1&sign=$sign&sign_version=2&amount=$f->{amount}&currencyCode=USD");
	return('http://checkout.virtualcurrency.com/?skey='.$res->decoded_content);
}

sub verify {
	my ($self, $f) = @_;
	return if !$f->{goodsid};
	if($f->{uid} eq '00000') {
		print STDERR "Test transaction activated";
		print "Content-type: text/html\n\nOK";
		exit;
	}
	my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$f->{goodsid}) || die( "Transaction not found_pwall: '$f->{goodsid}'"  );
	print STDERR "Wrong period: $f->{slength} $f->{speriod}" if $f->{speriod} && $f->{speriod} ne 'day';
	return($transaction);
}

1;
