package Plugins::Payments::qwikpay;
use strict;
use Payments;
use base 'Payments';
use vars qw($ses $c);
use Digest::MD5 qw(md5_hex);
=pre
 qwikpay_url => 'https://qwikpay.org/process.htm',
 qwikpay_products => '',
 qwikpay_member => '',
 qwikpay_subscription => '',
 qwikpay_trial_days => '',
 qwikpay_key=>'',
=cut

sub options {
   return {
      name=>'qwikpay', title=>'qwikpay', account_field=>'qwikpay_member', image=>'buy_qwikpay.png',
         s_fields=>[
             {title=>'Your QwikPay Url', name=>'qwikpay_url', type=>'text', comment=>'optional'},
            {title=>'Your QwikPay Member ID', name=>'qwikpay_member', type=>'text', comment=>'optional'},
            {title=>'Your QwikPay Secret Key', name=>'qwikpay_key', type=>'text', comment=>'optional'},
            {title=>'Your QwikPay Products', name=>'qwikpay_products', type=>'text', size => 56, comment=>'<br><small>Format: payment_amount=product_id, comma delimited</small>'},
            ],
      };
}

sub checkout
{
   my ($self, $f) = @_;
   return if $f->{type} ne 'qwikpay';

   my $plans_qwikpay = $ses->ParsePlans($c->{qwikpay_products}, 'hash');
   my $product_id = $plans_qwikpay->{$f->{amount}};

   my $usr_id = $ses->getUser ? $ses->getUserId : 0;
   if($c->{qwikpay_subscription} && !$f->{reseller})
   {
      my $days = $f->{days}||$ses->ParsePlans($c->{payment_plans}, 'hash')->{$f->{amount}};
      my $time_code='D' if $days<=90; unless($time_code){$time_code='M';$days=sprintf("%. 0f",$days/30);}
      if($c->{qwikpay_trial_days})
      {
              print"Content-type:text/html\n\n";
              print <<END
      <HTML><BODY onLoad="document.F1.submit();">
      <form name="F1" action="$c->{qwikpay_url}" method="post" >
      <input type=hidden name=member value="$c->{qwikpay_member}">
      <input type=hidden name="orderid" value="$f->{id}">
      <input type=hidden name=action value="subscription">
      <input type=hidden name=id value="$product_id">
      <input type=hidden name=price value="$f->{amount}">
      <input type=hidden name=tax value="0">
      <input type=hidden name=ureturn value="$c->{site_url}/?payment_complete=$f->{id}-$usr_id">
      <input type=hidden name=unotify value="$c->{site_cgi}/ipn.cgi">
      <input type=hidden name=ucancel value="$c->{site_url}">
      <input type=hidden name=comments value="$f->{id}">
      <input type="submit" value="Redirecting......">
      </form>
      </BODY></HTML>
END
                      ;
              exit;
      }
   }
   else
   {
      print"Content-type:text/html\n\n";
      print <<END
           <HTML><BODY onLoad="document.F1.submit();">
         <form name="F1" action="$c->{qwikpay_url}" method="post" >
      <input type=hidden name="member" value="$c->{qwikpay_member}">
      <input type=hidden name="orderid" value="$f->{id}">
      <input type=hidden name="action" value="product">
      <input type=hidden name="id" value="$product_id">
      <input type=hidden name="price" value="$f->{amount}">
      <input type=hidden name="tax" value="0">
      <input type=hidden name="ureturn" value="$c->{site_url}/?payment_complete=$f->{id}-$usr_id">
      <input type=hidden name="unotify" value="$c->{site_cgi}/ipn.cgi">
      <input type=hidden name="ucancel" value="$c->{site_url}">
      <input type=hidden name="comments" value="$f->{id}">
      <input type="submit" value="Redirecting......">
</BODY></HTML>
END
;

      exit;
   }
}

sub verify {
   my ($self, $f) = @_;
   return if !($f->{pname} && $f->{orderid});

   die($f->{status}) unless $f->{status} =~/Success/i;
   
   my $sign;
   foreach (sort keys %{$f}){
      $sign .= "$f->{$_}" unless lc $_ eq "signature";
   }
   
   my $signature = md5_hex($c->{qwikpay_key}.$sign);
   
   die("MD5 hash verify failed.!") unless $signature eq $f->{signature};
   my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$f->{orderid}) || die( "Transaction not found: '$f->{orderid}'");
   die("Amount changed.!") unless $transaction->{amount} == $f->{total};
   return $transaction;

}

1;
