package Plugins::Payments::robokassa;
use Payments;
use base 'Payments';
use vars qw($ses $c);
use Digest::MD5 qw(md5_hex);

sub options {
	return {
		name=>'robokassa',
		title=>'Robokassa',
		account_field=>'robokassa_login',
		image=>'buy_robokassa.png',
		listed_reseller=>'1',
			s_fields=>[
				{title=>'Your Robokassa merchant login', name=>'robokassa_login', type=>'text', comment=>'optional'},
				{title=>'Your Robokassa pass1', name=>'robokassa_pass1', type=>'text', comment=>'optional'},
				{title=>'Your Robokassa pass2', name=>'robokassa_pass2', type=>'text', comment=>'optional'},
				],
		};
}

sub checkout {
	my ($self, $f) = @_;
	return if $f->{type} ne 'robokassa';
	my $sign = md5_hex("$c->{robokassa_login}:$f->{amount}:$f->{id}:$c->{currency_code}:$c->{robokassa_pass1}");
	my $url="http://merchant.roboxchange.com/Index.aspx?MrchLogin=$c->{robokassa_login}&OutSum=$f->{amount}&OutSumCurrency=$c->{currency_code}&InvId=$f->{id}&SignatureValue=$sign&Culture=en";
	return($url);
}

sub verify {
	my ($self, $f) = @_;
	return if !$f->{InvId};
	$f->{out} = "OK$f->{InvId}";
	my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$f->{InvId}) || die( "Transaction not found: '$f->{InvId}'"  );

	my $sign = md5_hex("$f->{OutSum}:$f->{InvId}:$c->{robokassa_pass2}");

	die("Wrong signature") if uc($sign) ne $f->{SignatureValue};

	return $transaction;
}

1;
