package Plugins::Payments::smscoin;
use Payments;
use base 'Payments';
use vars qw($ses $c);
use Digest::MD5 qw(md5_hex);

sub options {
		return {
		name=>'smscoin', title=>'SMSCoin', account_field=>'smscoin_id', image=>'buy_smscoin.gif',
			s_fields=>[
				{title=>'SMSCoin Purse ID', name=>'smscoin_id', type=>'text', comment=>'optional'},
				],
		};
}

      sub checkout
      {
        my ($self, $f) = @_;
	return if $f->{type} ne 'smscoin';
        require Digest::MD5;
	sub print_smscoin_form
	{
		my ($purse, $order_id, $amount, $clear_amount, $description, $secret_code) = @_;
		local $_ = join("::", ($purse, $order_id, $f->{amount}, $clear_amount, $description, $secret_code) );
		my $sign = Digest::MD5::md5_hex($_);
		print <<Form
		<HTML><BODY onLoad="document.F1.submit();">
		<form action="http://bank.smscoin.com/bank/" method="post" name="F1">
			<p style="visibility:hidden;">
				<input name="s_purse" type="hidden" value="$purse" />
				<input name="s_order_id" type="hidden" value="$order_id" />
				<input name="s_amount" type="hidden" value="$f->{amount}" />
				<input name="s_clear_amount" type="hidden" value="$clear_amount" />
				<input name="s_description" type="hidden" value="$description" />
				<input name="s_sign" type="hidden" value="$sign" />
				<input type="submit" value="Pay" />
			</p>
		</form>
		</BODY></HTML>
Form
	;
	}
	print "Content-type: text/html\n\n";
        print_smscoin_form($c->{smscoin_id}, $f->{id}, $f->{amount}, 0, $c->{site_name}, $c->{dl_key}, 0);
        exit;
      }

sub verify {
	my ($self, $f) = @_;
	return if !$f->{s_order_id};
	my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$f->{s_order_id}) || die( "Transaction not found_sms: '$f->{s_order_id}'"  );
	return if !$f->{s_order_id};

	my $data = join("::", $c->{dl_key}, $f->{s_purse}, $f->{s_order_id}, $f->{s_amount}, $f->{s_clear_amount}, $f->{s_inv}, $f->{s_phone});
	my $sign = md5_hex($data);

	die("Signature doesn't match!") unless $f->{s_sign_v2} eq $sign;
	return($transaction);
}

1;
