package Plugins::Payments::sprypay;
use Payments;
use base 'Payments';
use vars qw($ses $c);

sub options {
	return {
		name=>'sprypay', title=>'sprypay', account_field=>'sprypay_shop_id', image=>'buy_sprypay.png',
			s_fields=>[
				{title=>'Your Sprypay Point of Sale ID', name=>'sprypay_shop_id', type=>'text', comment=>'optional'},
				],
		};
}

sub checkout
{
	my ($self, $f) = @_;
	return if $f->{type} ne 'sprypay';
	print"Content-type:text/html\n\n";
	my $currency = lc $c->{currency_code};
	my $email = $ses->getUser->{usr_email} if $ses->getUser;
	print <<END
		<HTML><BODY onLoad="document.F1.submit();">
		<form name="F1" action='http://sprypay.ru/sppi/' method='post'>
		<input type='hidden' name='spShopId' value='$c->{sprypay_shop_id}'>
		<input type='hidden' name='spShopPaymentId' value='$f->{id}'>
		<input type='hidden' name='spAmount' value='$f->{amount}'>
		<input type='hidden' name='spCurrency' value='$currency'>
		<input type='hidden' name='spPurpose' value='Premium'>
		<input type='hidden' name='spUserEmail' value='$email'>

		<input type='hidden' name='spIpnUrl' value='$c->{site_cgi}/ipn.cgi'>
		<input type='hidden' name='spIpnMethod' value='1'>
		<input type='hidden' name='spSuccessUrl' value='$c->{site_url}/?payment_complete=$f->{id}-0'>
		<input type='hidden' name='spSuccessMethod' value='1'>

		<input type='submit' value='Submit'>
		</form>
		</BODY></HTML>
END
		;
	exit;
}

sub verify {
	my ($self, $f) = @_;
	return if !$f->{spShopPaymentId};
	my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$f->{spShopPaymentId}) || die( "Transaction not found_sprypay: '$f->{spShopPaymentId}'"  );
	return if !$f->{spShopPaymentId};
	die("Amount changed!") unless $f->{spAmount}==$transaction->{amount};
	die("Currency changed!") unless lc($f->{spCurrency}) eq lc($c->{currency_code});
	die("ShopID is wrong!") unless $f->{spShopId}==$c->{sprypay_shop_id};
	$f->{payer_email} = $f->{spCustomerEmail};
	$f->{out}='OK';
	return($transaction);
}

1;
