package Plugins::Payments::twocheckout;
use Payments;
use base 'Payments';
use vars qw($ses $c);


sub options {
	return {account_field=>'two_checkout_sid',name=>'twocheckout', title=>'2Checkout', image=>'buy_2co.gif', 
		s_fields=>[
			{title=>'Your 2Checkout SID', name=>'two_checkout_sid', type=>'text', size=>'10', comment=>'optional'}
			],
		};
}

sub checkout {
	my ($self, $f) = @_;
	return if $f->{type} ne 'twocheckout';
	my $url="https://www2.2checkout.com/2co/buyer/purchase?sid=$c->{two_checkout_sid}";
	$url.="&cart_order_id=$f->{id}&total=$f->{amount}";
	return($url);
}

sub verify {
	my ($self, $f) = @_;
	return if !$f->{cart_order_id};
	my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$f->{cart_order_id}) || die( "Transaction not found: '$f->{cart_order_id}'"  );
	die("Demo mode!") if $f->{demo};
	die("Transaction is not successfull!") unless $f->{'credit_card_processed'}=~/^(Y|P)$/i;
	die("Amount changed!") unless $f->{total}==$transaction->{amount};
	#die("Security error!") unless $ENV{HTTP_REFERER} =~ m#https?:://([^/]*)(www\.2checkout\.com|2checkout\.com|www2\.2checkout\.com)#i;
	$f->{payer_email} = $f->{email};
	return($transaction);
}

1;
