package Plugins::Payments::voguepay;
use strict;
use Payments;
use base 'Payments';
use vars qw($ses $c);
use LWP::UserAgent;

sub options {
   return {
      name=>'voguepay', title=>'VoguePay', account_field=>'voguepay_merchant_id', image=>'buy_voguepay.png',
         s_fields=>[
            {title=>'Your VoguePay Merchant ID', name=>'voguepay_merchant_id', type=>'text', comment=>'optional'},
            ],
      };
}

sub checkout
{
   my ($self, $f) = @_;
   return if $f->{type} ne 'voguepay';

   print"Content-type:text/html\n\n";
   print <<END
<HTML><BODY onLoad="document.F1.submit();">
<form name="F1" method='POST' action='https://voguepay.com/pay/'>
    <input type='hidden' name='v_merchant_id' value='$c->{voguepay_merchant_id}' />
    <input type='hidden' name='merchant_ref' value='$f->{id}' />
    <input type='hidden' name='memo' value='$f->{product_name}' />
    <input type='hidden' name='cur' value='$c->{currency_code}' />

    <input type='hidden' name='notify_url' value='$c->{site_cgi}/ipn.cgi' />
    <input type='hidden' name='success_url' value='$c->{site_url}/?payment_complete=$f->{id}-1' />
    <input type='hidden' name='fail_url' value='$c->{site_url}/payments.html' />

    <input type='hidden' name='total' value='$f->{amount}' />
    <input type='submit'/>
</form>
</BODY></HTML>
END
;

   exit;
}

sub error {
	print STDERR "$_[0]\n";
	print "Content-type: text/plain\n\n";
	exit;
}

sub verify {
   my ($self, $f) = @_;
   return if !$f->{transaction_id};

   my $ua = LWP::UserAgent->new(agent => 'XFileSharingPro');
   my $res = $ua->get("https://voguepay.com/?v_transaction_id=$f->{transaction_id}&type=json");

   print STDERR "Received from Voguepay: ", $res->decoded_content, "\n";
   my $ret = JSON::decode_json($res->decoded_content);

   $f->{txn_id} = $f->{transaction_id};

   my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?", $ret->{merchant_ref});
   error("Wrong amount") if $ret->{total_amount} != $transaction->{amount};
   error("Wrong currency") if $ret->{cur} ne $c->{currency_symbol};
   error("Wrong status") if $ret->{response_code} != 0;

   return $transaction;
}

1;
