package Plugins::Payments::yandex_money;
use Payments;
use base 'Payments';
use vars qw($ses $c);
use Digest::SHA qw(sha512_hex);
use XML::Simple;
use strict;

sub options {
	return {
		name=>'yandex_money', title=>'Yandex Money', account_field=>'yandex_money_shop_id', image=>'buy_yandex_money.png', reseller_disabled => 1,
			s_fields=>[
				{title=>'Your Yandex.Money Shop ID', name=>'yandex_money_shop_id', type=>'text', comment=>'optional'},
				{title=>'Your Yandex.Money SCID', name=>'yandex_money_scid', type=>'text', comment=>'optional'},
				{title=>'Your Yandex.Money Shop Password', name=>'yandex_money_shop_password', type=>'text', comment=>'optional'},
				],
		};
}

sub checkout {
	my ($self, $f) = @_;
	return if $f->{type} ne 'yandex_money';

	print "Content-type: text/html\n\n";
	print <<BLOCK
<HTML><BODY onLoad="document.F1.submit();">
<form name="F1" method="post" action="https://money.yandex.ru/eshop.xml" accept-charset="utf-8">
 <input name="shopId" value="$c->{yandex_money_shop_id}" type="hidden"/>
 <input name="scid" value="$c->{yandex_money_scid}" type="hidden"/>
 <input name="sum" value="$f->{amount}" type="hidden">
 <input name="customerNumber" value="$f->{email}" type="hidden"/>
 <input name="orderNumber" value="$f->{id}" type="hidden"/>
 <input name="cps_email" value="$f->{email}" type="hidden"/>
 <input name="shopSuccessURL" value="$c->{site_url}/?payment_complete=$f->{id}-1" type="hidden"/>
 <input name="shopFailURL" value="$c->{site_url}/?op=payments" type="hidden"/>
 <input value="Pay Now" type="submit">
</form>
</BODY>
</HTML>
BLOCK
;
	exit();
}

sub verify {
	my ($self, $f) = @_;
	return if !$f->{orderNumber};
	my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$f->{orderNumber}) || error( "Transaction not found: '$f->{orderNumber}'"  );
	&Send("Resubmitting detected") if $transaction->{verified};
	&SendResponse(0) if $f->{action} =~ /^(checkOrder|cancelOrder)$/;
	return($transaction);
}

sub SendResponse
{
	my ($f, $code) = @_;
	print "Content-type: text/plain\n\n";
	sprintf('<%s performedDatetime="%s" code="%s" invoiceId="%s" shopId="%s"/>',
		"$::f->{action}Response",
		strftime("%Y-%m-%dT%H:%M:%S.000%z", localtime()),
		$::f->{invoiceId},
		$c->{yandex_money_shop_id});
	exit;
}

1;
