package Plugins::Payments::zarinpal;
use Payments;
use base 'Payments';
use vars qw($ses $c $f $db);
use strict;	

sub options {
	return {
		name=>'zarinpal', title=>'Zarinpal', account_field=>'zarinpal_merchant_id', image=>'buy_zarinpal.gif',
			s_fields=>[
				{title=>'Zarinpal Merchant ID', name=>'zarinpal_merchant_id', type=>'text',size=>16, comment=>'optional'},
				],
		};

}

sub checkout {
	my ($self, $f) = @_;
	return if $f->{type} ne 'zarinpal';
	require SOAP::Lite;
	my $amount =$f->{amount}*$c->{dollar_tom};
	my $redirect = "$c->{site_url}/cgi-bin/ipn.cgi?zarinpal=$f->{id}";
	my $soap = SOAP::Lite->service("https://de.zarinpal.com/pg/services/WebGate/wsdl");
	my @ret = $soap->PaymentRequest($c->{zarinpal_merchant_id}, $amount, $f->{id}, $f->{email}, '', $redirect,);
	my($Status,$Authority)=@ret;
	
	if ($Status == 100)
	{
		my $url = "https://www.zarinpal.com/pg/StartPay/$Authority";
		return($url);
	}
	else
	{
		die("ZARINPAL ERROR CODE: $Status");
	}
	
}

sub error {
	print STDERR "$_[0]\n";
	print"Content-type:text/html\n\n<script>window.location='$c->{site_url}/?sub_transaction=$_[0]-$_[1]';</script>";
	exit;
}

sub verify {
	my ($self, $f) = @_;
	return if !$f->{zarinpal};
	
	my $transaction = $ses->db->SelectRow("SELECT * FROM Transactions WHERE id=?",$f->{zarinpal}) || die( "Transaction not found: '$f->{zarinpal}'"  );
	my $amount =$transaction->{amount}*$c->{dollar_tom};
	my $url = "$c->{site_url}/?payment_complete=$f->{zarinpal}-$transaction->{usr_id}";
	
	require SOAP::Lite;
	my $soap = SOAP::Lite->service("https://de.zarinpal.com/pg/services/WebGate/wsdl");
	my @ret = $soap->PaymentVerification($c->{zarinpal_merchant_id}, $f->{Authority}, $amount);
	my($retcode,$refid)=@ret;
	
	error("Payment suspended.", "Transaction Expire") if $transaction->{verified} == 1;
	error('Subscription failed', "Transaction Status Is Not verify") if $f->{Status} eq 'NOK';
	error('Subscription Canceled', "Transaction Is Not Compelete and Canceled.") if $f->{Status} eq 'CANCELED';
	
	if( $retcode eq 100 && $transaction->{verified} eq 0)
	{
		$ses->db->Exec("UPDATE Transactions SET txn_id=? WHERE id=?",$f->{Authority}||'',$transaction->{id});
		$ses->db->Exec("UPDATE Transactions SET verified=1 WHERE id=?",$f->{zarinpal}||'',$transaction->{id});
		$ses->db->Exec("UPDATE Transactions SET plugin='zarinpal' WHERE id=?",$f->{zarinpal}||'',$transaction->{id});
		$ses->db->Exec("UPDATE Payments SET status='PAID' WHERE pay_email=?",$refid||'',$transaction->{id});
		print"Content-type:text/html\n\n<script>window.location='$url';</script>";
		return($transaction);
	}

}

1;
