package Plugins::Video::videojs;
use strict;
use XFileConfig;
use vars qw($ses $c);

sub options {
	return {
		name=>'videojs', title=>'VideoJS',
		listed => 1,
		s_fields=>[]
		};
}

sub makeCode
{
	my ($self, $file, $direct_link) = @_;
	return if $c->{m_v_player} ne 'videojs';

   my @sources;
   push @sources, qq[{src: "$file->{direct_link}", type: "video/mp4", res: "$file->{vid_width}x$file->{vid_height}" }];
   my $sources_code = 'player.updateSrc(['.join(', ', @sources).']);';

   $file->{player_img} ||= $file->{video_img_url};
   
   my $html=qq[<link href="$c->{cdn_url}/css/video-js.min.css" rel="stylesheet">
                <div id='vplayer' style="width:100%;height:100%;text-align:center;">
                <video id="vjsplayer"
                class="video-js vjs-default-skin vjs-big-play-centered"
                width="$file->{vid_width}" height="$file->{vid_height}"
                controls="true"
                poster="$file->{player_img}">
                <source src="$direct_link" type="video/mp4" />
            </video></div>

<script src="$c->{site_url}/js/video.min.js"></script>
<script>
var player = videojs('vjsplayer',{
   plugins: {}
});
</script>
];
       
   return($html);
}

1;
