package routes;
use strict;
use vars qw($routes);

$routes = [
   qr#^admin/(.*)/(.*)#                             => 'op=admin_$1_$2',
   qr#^admin/(.*)#                                  => 'op=admin_$1',
   qr#^pages/(.*)#                                  => 'op=page&tmpl=$1',

   qr/^([0-9A-Za-z]{12})(\/.+|\.html?|$)/           => 'op=download1&id=$1&fname=$2',
   qr/^embed-([0-9A-Za-z]{12})\.html$/              => 'op=video_embed&file_code=$1',
   qr/^embed-([0-9A-Za-z]{12})-(\d+)x(\d+)\.html$/  => 'op=video_embed&file_code=$1&w=$2&h=$3',
   qr/^embedmp3-([0-9A-Za-z]{12})\.html$/           => 'op=mp3_embed&file_code=$1',
   qr/^mp3embed-([0-9A-Za-z]{12})\.mp3$/            => 'op=mp3_embed2&file_code=$1',
   qr/^vidembed-([0-9A-Za-z]{12})/                  => 'op=video_embed2&file_code=$1',
   qr/^free([0-9]+)\.html$/                         => 'op=register&aff_id=$1',
   qr/^news([0-9]*)\.html$/                         => 'op=news&page=$1',
   qr/^n([0-9]+)-.*\.html$/                         => 'op=news_details&news_id=$1',
   qr/^pages\/([a-z0-9\-\_]+).html$/                => 'op=page&tmpl=$1$2',
   qr/^users\/([0-9A-Za-z\-_]{4,64})\/?([0-9]+|$)/  => 'op=user_public&usr_login=$1&fld_id=$2',
   qr/^u\/([0-9A-Za-z\-_]+)/                        => 'op=deurl&id=$1',
   qr/^d\/([0-9A-Za-z\-_]+)/                        => 'op=deurl&id=$1&mode=2',

   'account'                                       => 'op=my_account',
   'antidebrid'                                    => 'op=anti_debrid',
   'files'                                         => 'op=my_files',
   'file_edit'                                     => 'op=file_edit',
   'fld_edit'                                      => 'op=fld_edit',
   'reports'                                       => 'op=my_reports',
   'account'                                       => 'op=my_account',
   'box'                                           => 'op=embed_upload',
   'dl'                                            => '',
   'download'                                      => 'op=download1',
   'premium'                                       => 'op=payments',
   'contact'                                       => 'op=contact',
   'login'                                         => 'op=login',
   'check_files'                                   => 'op=check_files',
   'catalogue'                                     => 'op=catalogue',
   'make_money'                                    => 'op=make_money',
   'news'                                          => 'op=news',
   'links'                                         => 'op=links',
   'upload'                                        => 'op=upload_form',
   'upload_result'                                 => 'op=upload_result',
   'request_money'                                 => 'op=my_request_money',
   'logout'                                        => 'op=logout',
   'reseller'                                      => 'op=my_reseller',
   'email_unsubscribe'                             => 'op=email_unsubscribe',
   'forgot_pass'                                   => 'op=forgot_pass',

   ## Legacy URLs
   'contact.html'                                  => 'op=contact',
   'premium.html'                                  => 'op=payments',
   'login.html'                                    => 'op=login',
   'catalogue(.*).html'                            => 'op=catalogue&date=$1',
   'faq.html'                                      => 'op=page&tmpl=faq',
   'tos.html'                                      => 'op=page&tmpl=tos',
   'links.html'                                    => 'op=links',
   'make_money.html'                               => 'op=make_money',
   'register.html'                                 => 'op=register',
   'forgotpass.html'                               => 'op=forgot_pass',
   'request_money.html'                            => 'op=my_request_money',
   'change_phone.html'                             => 'op=my_change_phone',
];

1;
