ALTER TABLE Bans ADD COLUMN info text DEFAULT NULL;
ALTER TABLE Files ADD COLUMN file_anti_debrid tinyint(3) unsigned NOT NULL DEFAULT 0;
DROP TABLE Packages;

ALTER TABLE QueueTransfer CHANGE COLUMN transferred transferred bigint(20) unsigned NOT NULL DEFAULT 0; # was int(10) unsigned NOT NULL DEFAULT 0
ALTER TABLE Users ADD COLUMN usr_files_sort_field varchar(16) NOT NULL DEFAULT '';
ALTER TABLE Users ADD COLUMN usr_ftp_password varchar(100) NOT NULL DEFAULT '';
ALTER TABLE Users ADD COLUMN usr_files_per_page mediumint(8) unsigned NOT NULL DEFAULT 0;

CREATE TABLE PkgFiles (
  package_id varchar(32) NOT NULL,
  rel_path varchar(255) NOT NULL,
  md5 char(32) NOT NULL,
  seen_at timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (package_id,rel_path,md5)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE PkgVersions (
  package_id varchar(32) NOT NULL,
  srv_id smallint(5) unsigned NOT NULL,
  installed_version varchar(16) NOT NULL,
  last_updated timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (package_id,srv_id)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE QueueUpload (
  id int(10) unsigned NOT NULL AUTO_INCREMENT,
  usr_id mediumint(8) unsigned NOT NULL DEFAULT 0,
  srv_id smallint(5) unsigned NOT NULL DEFAULT 0,
  url mediumtext NOT NULL,
  status enum('PENDING','WORKING','ERROR') NOT NULL DEFAULT 'PENDING',
  created datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  started datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  updated timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  size_dl bigint(20) unsigned NOT NULL DEFAULT 0,
  size_full bigint(20) unsigned NOT NULL DEFAULT 0,
  speed bigint(20) unsigned NOT NULL DEFAULT 0,
  error mediumtext NOT NULL,
  file_code varchar(12) NOT NULL DEFAULT '',
  fld_id int(10) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (id),
  KEY usr (usr_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
