package Engine::FSRPC::GetFilesList2;
use strict;

use XFSConfig;
use JSON;
use MultiHDD;

sub main
{
   my ($f) = @_;
   $|++;

   print "X-Accel-Buffering: no\n";
   print "Content-Encoding: none\n";
   print "Content-type: application/json\n\n";

   my $json = JSON->new->canonical(1);

   _list_dir($c->{upload_dir});
   _list_dir("$c->{upload_dir}/$_") for MultiHDD::disks($c->{upload_dir});

   print $json->encode({ done => 1 }), "\n";
   return undef;
}

sub _list_dir
{
   my ($dir) = @_;
   opendir(DIR, $dir) || die("Error: can't open dir: $dir\n");

   my $json = JSON->new->canonical(1);

   while( defined(my $fn = readdir(DIR)) )
   {
      next if $fn=~/^\.{1,2}$/ || !-d "$dir/$fn";
      opendir(DIR2, "$dir/$fn") || die("Error: can't open dir: $dir/$fn\n");
      foreach my $fn2 (readdir(DIR2))
      {
         my $path = "$dir/$fn/$fn2";
         next if ! -f $path;
         print $json->encode({ path => $path }), "\n";
      }
      closedir(DIR2);
   }

   closedir(DIR);

}

1;
