package Engine::FSRPC::GetPieces;
use strict;

use XFSConfig;
use Digest::SHA;
use MultiHDD;

sub main
{
  my ($f) = @_;

  my $dx = sprintf("%05d",$f->{file_id}/$c->{files_per_folder});
  my $disk_id = MultiHDD::locate($c->{upload_dir}, "$dx/$f->{file_real}");
  my $file_path = "$c->{upload_dir}/$disk_id/$dx/$f->{file_real}";
  my $file_size = -s $file_path;
  my $piece_size = $f->{piece_size};

  my (@ret, $buffer);
  open FILE, $file_path;
  binmode FILE;
  for(my $i = 0; $i < $file_size; $i += $piece_size)
  {
     seek(FILE, $i, 0);
     read(FILE, $buffer, $piece_size);
     push @ret, Digest::SHA::sha1($buffer);
  }
  close FILE;

  return { file_size => $file_size, pieces => join('', @ret), piece_size => $f->{piece_size} };
}

1;
