package Engine::FSRPC::ImportFile;
use strict;

use XFSConfig;
use XUpload;
use MultiHDD;

sub main
{
   my ($f) = @_;

   my $sid = $f->{sid};
   $sid =~ s/\W//g;

   return { error => "No SID specified" } if !$sid;

   my $xfile = {};
   $xfile->{disk_id} = MultiHDD::locate($c->{temp_dir}, $sid);
   $xfile->{file_tmp} = "$c->{temp_dir}/$xfile->{disk_id}/$sid";
   $xfile->{file_name_orig} = $f->{fname};

   if($f->{file_key}) {
      $xfile->{file_key} = $f->{file_key};
      print STDERR "Encrypted file key:", $xfile->{file_key}, "\n";
   }

   return { error => "File not found" } if !$xfile->{file_tmp};

   my $file = &XUpload::ProcessFile($xfile, { %$f, file_upload_method => 'web' });
   return { error => "File upload failed" } if !$file;

   my ($link,$del_link) = $file->{msg}=~/^OK=(.+?)\|(.+)$/;
   return { error => $file->{msg} } if $file->{msg} !~ /^OK/;
   return { status => 'OK', file_code => $file->{file_code} };
}

1;
