package TmpWatch;
use strict;

use Exporter;
@TmpWatch::ISA = qw(Exporter);
@TmpWatch::EXPORT = qw(TmpWatch);

use File::Path;

sub TmpWatch
{
   my ($dir, $keep_recent) = @_;
   die("Refusing to remove all files in $dir") if $dir !~ /\/(temp|tmp|files)(\/|$)/;

   opendir(DIR, $dir) || die("No such dir: $dir");
   my $time = time;
   while( defined(my $fn=readdir(DIR)) )
   {
      next if $fn =~ /^\.{1,2}$/;
      next if $fn eq '.htaccess';
      next if $fn =~ /^[0-9]{2}$/; # MultiDrive

      my $file = "$dir/$fn";
      my $ftime = (lstat($file))[9];
      next if ($time - $ftime) < $keep_recent;
      if(-f $file)
      {
         print STDERR "[TmpWatch] Removing a file: $file\n";
         unlink($file);
      }
      else
      {
         print STDERR "[TmpWatch] Removing a directory: $file\n";
         rmtree($file);
      }
      print"\n";
   }
   closedir(DIR);
}

1;
